import _extends from "@babel/runtime/helpers/extends";
import React, { useCallback, useState } from 'react';
import { AlertContext } from './AlertContext';
export var AlertProvider = function AlertProvider(_ref) {
  var children = _ref.children;
  var _useState = useState({
      show: false
    }),
    state = _useState[0],
    setState = _useState[1];
  var open = useCallback(function (props) {
    return setState(_extends({}, props, {
      show: true
    }));
  }, [setState]);
  var close = useCallback(function () {
    return setState({
      show: false
    });
  }, [setState]);
  var alertContextValue = _extends({}, state, {
    open: open,
    close: close
  });
  return /*#__PURE__*/React.createElement(AlertContext.Provider, {
    value: alertContextValue
  }, children);
};