import React from 'react';
interface AuthenticationInputSingleProps extends Omit<React.HTMLAttributes<HTMLInputElement>, 'onChange'> {
    index: number;
    value: number | '';
    shouldFocus?: boolean;
    error?: boolean;
    disabled?: boolean;
    isLast?: boolean;
    onIndexChanged?: (index: number) => void;
    onChange: (value: number | '', index: number) => void;
}
export declare const AuthenticationInputSingle: ({ index, onChange, value, shouldFocus, isLast, onIndexChanged, ...rest }: AuthenticationInputSingleProps) => JSX.Element;
export {};
