import React from 'react';
declare const avatarBackgroundColorVariant: readonly ["supplementary", "warning", "danger", "success", "outstanding"];
declare const avatarSizeVariant: readonly ["large", "medium"];
export declare type AvatarBackgroundColorVariant = (typeof avatarBackgroundColorVariant)[number];
export declare type AvatarSizeVariant = (typeof avatarSizeVariant)[number];
export interface AvatarProps extends React.HTMLAttributes<HTMLDivElement> {
    variant?: AvatarBackgroundColorVariant;
    size?: AvatarSizeVariant;
    initials?: string;
}
export declare const Avatar: React.ForwardRefExoticComponent<AvatarProps & React.RefAttributes<HTMLDivElement>>;
export {};
