import React from 'react';
import { IconNames } from '../Icon/icons/icons';
export interface BannerProps extends React.HTMLAttributes<HTMLDivElement> {
    title?: string;
    /** If set will take precedent of status */
    iconName?: IconNames;
    status?: 'success' | 'info' | 'warning' | 'critical';
    children?: React.ReactNode;
    action?: React.ReactNode;
    secondaryAction?: React.ReactNode;
    dismissable?: boolean;
    onDismiss?: () => void;
    type?: 'static' | 'fixed';
    showIcon?: boolean;
}
export declare const Banner: React.ForwardRefExoticComponent<BannerProps & React.RefAttributes<HTMLDivElement>>;
