import styled from 'styled-components';
import * as Breakpoints from '../utilities/breakpoints';
import { borderRadius8 } from '../utilities/borderRadius';
import { Blue, Green, Neutral, Orange, Red } from '../utilities/colors';
import { space4 } from '../utilities/spacing';
export var StyledCloseIconWrapper = styled.div.withConfig({
  displayName: "BannerStyle__StyledCloseIconWrapper",
  componentId: "sc-1suv683-0"
})(["cursor:pointer;&&& svg{right:0;top:0;fill:", ";}@media (max-width:", "){&&& svg{top:-1px;}}"], Neutral.B40, Breakpoints.large);
export var StyledBanner = styled.div.withConfig({
  displayName: "BannerStyle__StyledBanner",
  componentId: "sc-1suv683-1"
})(["min-height:100px;padding:20px;background:", ";color:", ";border:1px solid ", ";border-radius:", ";&[data-titled='true'] svg{top:3px;}&[data-status='success']{background:", ";border:1px solid ", ";}&[data-status='success'] svg{fill:", ";}&[data-status='info']{background:", ";border:1px solid ", ";}&[data-status='info'] svg{fill:", ";}&[data-status='warning']{background:", ";border:1px solid ", ";}&[data-status='warning'] svg{fill:", ";}&[data-status='critical']{background:", ";border:1px solid ", ";}&[data-status='critical'] svg{fill:", ";}@media (max-width:", "){min-height:89px;&[data-titled='true'] svg{top:0;}}"], Neutral.B99, Neutral.B18, Neutral.B68, borderRadius8, Green.B89, Neutral.B68, Green.B61, Blue.S08, Blue.S99, Blue.S99, Orange.S21, Orange.S86, Orange.S87, Red.B100, Red.B93, Red.B93, Breakpoints.large);
export var StyledBannerContentContainer = styled.div.withConfig({
  displayName: "BannerStyle__StyledBannerContentContainer",
  componentId: "sc-1suv683-2"
})(["&[data-show-icon='true']{padding-left:40px;}button{margin-top:10px;}"]);
export var StyledBannerTitleContainer = styled.div.withConfig({
  displayName: "BannerStyle__StyledBannerTitleContainer",
  componentId: "sc-1suv683-3"
})(["position:relative;svg{position:absolute;fill:", ";height:24px;width:24px;top:0;}"], Neutral.B40);
export var StyledBannerTitle = styled.div.withConfig({
  displayName: "BannerStyle__StyledBannerTitle",
  componentId: "sc-1suv683-4"
})(["margin-bottom:", ";&[data-show-icon='true']{padding-left:40px;}button{margin-top:10px;}"], space4);