import React from 'react';
import { ComponentAction } from '../../types/componentAction';
export declare type BarProps = {
    heading: React.ReactNode;
    subheading?: React.ReactNode;
    primaryAction?: ComponentAction;
    secondaryAction?: ComponentAction;
    tertiaryAction?: ComponentAction;
    position?: 'top' | 'bottom';
    showBackButton?: boolean;
    onBack?: () => void;
    customActionGroup?: React.ReactNode;
};
export declare const Bar: React.ForwardRefExoticComponent<BarProps & React.RefAttributes<HTMLDivElement>>;
