/// <reference types="react" />
declare type ComboboxOptionType = {
    allowMultiple?: boolean;
};
export declare const ComboboxOptionContext: import("react").Context<ComboboxOptionType>;
export declare const useOption: () => ComboboxOptionType;
declare type ComboboxOptionListType = {
    onOptionSelect({ value }: {
        value: string;
    }): void;
    selectedOptions?: string[];
};
export declare const ComboboxOptionListContext: import("react").Context<ComboboxOptionListType>;
export declare const useOptionList: () => ComboboxOptionListType;
export {};
