import { createContext, useContext } from 'react';
export var ComboboxOptionContext = /*#__PURE__*/createContext(undefined);
export var useOption = function useOption() {
  var context = useContext(ComboboxOptionContext);
  if (!context) {
    throw new Error('No ComboboxOptionContext was provided. Your component must be wrapped in a <ComboboxOptionContext.Provider>');
  }
  return context;
};
export var ComboboxOptionListContext = /*#__PURE__*/createContext(undefined);
export var useOptionList = function useOptionList() {
  var context = useContext(ComboboxOptionListContext);
  if (!context) {
    throw new Error('No ComboboxOptionListContext was provided. Your component must be wrapped in a <ComboboxOptionListContext.Provider>');
  }
  return context;
};