import styled from 'styled-components';
import { borderRadius4 } from '../../../utilities/borderRadius';
import { Neutral } from '../../../utilities/colors';
import { space4, space8 } from '../../../utilities/spacing';
export var OptionListContainer = styled.div.withConfig({
  displayName: "OptionListStyle__OptionListContainer",
  componentId: "sc-19tus93-0"
})(["width:", "px;padding:", " 0;"], function (props) {
  return props.textInputWidth;
}, space8);
export var StyledOptionList = styled.ul.withConfig({
  displayName: "OptionListStyle__StyledOptionList",
  componentId: "sc-19tus93-1"
})(["list-style:none;margin:0 ", ";padding:0;li{display:flex;height:44px;position:relative;align-items:center;padding:0 ", ";margin-bottom:", ";&:hover{background:", ";border-radius:", ";cursor:pointer;}&[data-active='true']{border-radius:", ";cursor:default;}svg{height:24px;width:24px;}}"], space8, space8, space4, Neutral.B99, borderRadius4, borderRadius4);
export var EmptyOptionContainer = styled.div.withConfig({
  displayName: "OptionListStyle__EmptyOptionContainer",
  componentId: "sc-19tus93-2"
})(["display:flex;align-items:center;justify-content:center;margin:10px 0;"]);