import { createContext, useContext } from 'react';
export var ComboboxTextInputContext = /*#__PURE__*/createContext(undefined);
export var useComboboxTextInput = function useComboboxTextInput() {
  var context = useContext(ComboboxTextInputContext);
  if (!context) {
    throw new Error('No TextInputContext was provided. Your component must be wrapped in a <TextInputContext.Provider>');
  }
  return context;
};