import React from 'react';
export interface TableCellProps extends React.TdHTMLAttributes<HTMLTableColElement> {
    children: React.ReactNode;
    /** Sets table cell content to not wrap*/
    noWrap?: boolean;
    verticalAlign?: 'top' | 'center';
}
export declare const TableCell: ({ align, children, noWrap, verticalAlign, }: TableCellProps) => JSX.Element;
