import React from 'react';
import { Typography } from '../Typography';
import { StyledTableCell } from './DataTableStyle';
export var TableCell = function TableCell(_ref) {
  var align = _ref.align,
    children = _ref.children,
    _ref$noWrap = _ref.noWrap,
    noWrap = _ref$noWrap === void 0 ? false : _ref$noWrap,
    _ref$verticalAlign = _ref.verticalAlign,
    verticalAlign = _ref$verticalAlign === void 0 ? 'top' : _ref$verticalAlign;
  return /*#__PURE__*/React.createElement(StyledTableCell, {
    "data-text-align": align,
    "data-no-wrap": noWrap,
    "data-vertical-align": verticalAlign
  }, /*#__PURE__*/React.createElement(Typography, {
    as: "div",
    variant: "subtitle2"
  }, children));
};