import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["text"];
import React from 'react';
import { StyledText, StyledWrapper } from './InlineErrorStyle';
import { Icon } from '../Icon';
import { Red } from '../utilities/colors';
export var InlineError = function InlineError(_ref) {
  var text = _ref.text,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var error = !!text;
  return error ? /*#__PURE__*/React.createElement(StyledWrapper, props, /*#__PURE__*/React.createElement(Icon, {
    name: "ri-error-warning-fill",
    fill: Red.B93,
    width: 20,
    height: 20
  }), /*#__PURE__*/React.createElement(StyledText, {
    variant: "subtitle2"
  }, text)) : /*#__PURE__*/React.createElement(React.Fragment, null);
};