import React from 'react';
export interface MenuOptionProps extends Omit<React.LiHTMLAttributes<HTMLLIElement>, 'onClick'> {
    id?: string;
    disabled?: boolean;
    isSelected?: boolean;
    value: string;
    onClick?({ value }: {
        value: string;
    }): void;
    allowMultiple?: boolean;
}
export declare const MenuOption: ({ children, disabled, isSelected, onClick, value, allowMultiple, }: MenuOptionProps) => JSX.Element;
