import React from 'react';
import { Typography } from '../../Typography';
import { Neutral } from '../../utilities/colors';
import { MenuOptionLabelContainer } from './MenuOptionLabelStyle';
export var MenuOptionLabel = function MenuOptionLabel(_ref) {
  var label = _ref.label,
    sublabel = _ref.sublabel;
  if (!sublabel) {
    return /*#__PURE__*/React.createElement(Typography, {
      as: "span",
      variant: "body1",
      color: Neutral.B18
    }, label);
  }
  return /*#__PURE__*/React.createElement(MenuOptionLabelContainer, null, /*#__PURE__*/React.createElement(Typography, {
    as: "span",
    variant: "body1",
    color: Neutral.B18
  }, label), /*#__PURE__*/React.createElement(Typography, {
    as: "span",
    variant: "subtitle2",
    color: Neutral.B40
  }, sublabel));
};