import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["required", "border", "borderRadius", "isPlaceholderFloating", "floatingFontSize", "placeholderColor", "floatingPlaceholderTop"];
import React from 'react';
import styled from 'styled-components';
import { Input } from '../Input/Input';
var StyledInput = styled(Input).withConfig({
  displayName: "NumberInput__StyledInput",
  componentId: "sc-1f5ws9y-0"
})(["&[type='number']{-webkit-appearance:textfield;-moz-appearance:textfield;appearance:textfield;}&[type='number']::-webkit-inner-spin-button,&[type='number']::-webkit-outer-spin-button{-webkit-appearance:none;}"]);
export var NumberInput = /*#__PURE__*/React.forwardRef(function NumberInput(_ref, ref) {
  var required = _ref.required,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    isPlaceholderFloating = _ref.isPlaceholderFloating,
    floatingFontSize = _ref.floatingFontSize,
    placeholderColor = _ref.placeholderColor,
    floatingPlaceholderTop = _ref.floatingPlaceholderTop,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/React.createElement(StyledInput, _extends({
    ref: ref,
    type: "number"
  }, props, {
    border: border,
    borderRadius: borderRadius,
    required: required,
    isPlaceholderFloating: isPlaceholderFloating,
    floatingFontSize: floatingFontSize,
    placeholderColor: placeholderColor,
    floatingPlaceholderTop: floatingPlaceholderTop
  }));
});