import React from 'react';
export interface PageButtonProps extends Omit<React.ButtonHTMLAttributes<HTMLButtonElement>, 'onClick'> {
    children?: React.ReactNode;
    value?: number;
    active?: boolean;
    onClick?: (page: number) => void;
}
export declare const PageButton: ({ value, active, children, onClick, ...props }: PageButtonProps) => JSX.Element;
