import React from 'react';
import { PopoverProps as PolarisPopoverProps, PopoverPublicAPI } from 'polaris-glints';
export declare type PopoverProps = PolarisPopoverProps;
/** Using Popover from polaris-glints repository internally
 * Please add `<div id="glints-portal-container"></div>` as a sibling element of where your React app is rendered.
 * This is a temporary workaround, as React Portal need this as the anchor */
export declare const Popover: React.ForwardRefExoticComponent<PolarisPopoverProps & React.RefAttributes<PopoverPublicAPI>> & {
    Pane: typeof import("polaris-glints/build/ts/latest/src/components/Popover/components").Pane;
    Section: typeof import("polaris-glints/build/ts/latest/src/components/Popover/components").Section;
};
