import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Popover as PolarisPopover } from 'polaris-glints';
import { StyledPopover } from './PopoverStyle';
var PopoverComponent = /*#__PURE__*/React.forwardRef(function Popoever(props, ref) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(StyledPopover, null), /*#__PURE__*/React.createElement(PolarisPopover, _extends({
    ref: ref
  }, props)));
});

/** Using Popover from polaris-glints repository internally
 * Please add `<div id="glints-portal-container"></div>` as a sibling element of where your React app is rendered.
 * This is a temporary workaround, as React Portal need this as the anchor */
export var Popover = Object.assign(PopoverComponent, {
  Pane: PolarisPopover.Pane,
  Section: PolarisPopover.Section
});