import React from 'react';
import { Option } from '../../../Menu';
import { IconNames } from '../../../Icon/icons/icons';
export interface ActivatorSelectProps extends Omit<React.ButtonHTMLAttributes<HTMLButtonElement>, 'prefix'> {
    allowMultiple?: boolean;
    customActivatorIcon?: IconNames;
    hasError?: boolean;
    selectedValues?: string[];
    placeholder?: string;
    prefix?: React.ReactNode;
    onRemoveTag?({ option }: {
        option: string;
    }): void;
    onSelectClick?(): void;
    options?: Option[];
    width?: string;
    height?: string;
    required?: boolean;
    floatingFontSize?: string;
    isPlaceholderFloating?: boolean;
    border?: string;
    borderRadius?: string;
}
export declare const ActivatorSelect: ({ customActivatorIcon, placeholder, selectedValues, onClick, onRemoveTag, width, allowMultiple, disabled, onSelectClick, hasError, options, prefix, required, border, borderRadius, height, floatingFontSize, isPlaceholderFloating, ...props }: ActivatorSelectProps) => JSX.Element;
