import React from 'react';
import { Icon } from '../../../Icon';
import { ClearSelectedContainer } from './SearchableSelectInputStyle';
export var ClearSelected = function ClearSelected(_ref) {
  var onSelect = _ref.onSelect,
    handleClearIconClick = _ref.handleClearIconClick,
    updateInputValue = _ref.updateInputValue,
    height = _ref.height;
  var onClearIconClick = function onClearIconClick() {
    updateInputValue('');
    onSelect({
      value: ''
    });
    handleClearIconClick();
  };
  return /*#__PURE__*/React.createElement(ClearSelectedContainer, {
    height: height
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "ri-close-circle-fill",
    style: {
      cursor: 'pointer'
    },
    onClick: onClearIconClick,
    className: "clear-icon"
  }));
};