import styled from 'styled-components';
import * as Breakpoints from '../../../utilities/breakpoints';
import { Neutral, Red } from '../../../utilities/colors';
import { NotoSans } from '../../../utilities/fonts';
import { StyledContainer as StyledInputContainer, StyledSuffixContainer } from '../../../Input/InputStyle';
import { borderRadius4 } from '../../../utilities/borderRadius';
export var StyledContainer = styled(StyledInputContainer).withConfig({
  displayName: "SearchableSelectInputStyle__StyledContainer",
  componentId: "sc-1oj168h-0"
})(["position:relative;height:36px;width:", ";background:", ";box-shadow:0px 1px 0px rgba(0,0,0,0.05);box-sizing:border-box;display:grid;input{background:transparent;z-index:1;width:", ";}&:has(> div > input:focus) > .searchable-select{color:", ";}.searchable-select{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;}.searchable-select,input{padding-left:", "px;padding-right:", "px;height:", ";}&[data-error='true'] .searchable-select{border:1px solid ", ";}&[data-error='true'] .searchable-select:focus{box-shadow:none;}&[data-disabled='true'] .searchable-select{border:1px solid ", ";background:", ";color:", ";}"], function (props) {
  return props.width;
}, Neutral.B100, function (props) {
  return props.width;
}, Neutral.B40, function (props) {
  return props.prefixWidth;
}, function (props) {
  return props.suffixWidth;
}, function (props) {
  var _props$height;
  return (_props$height = props.height) != null ? _props$height : '36px';
}, Red.B93, Neutral.B85, Neutral.B95, Neutral.B85);
export var StyledSelected = styled.span.withConfig({
  displayName: "SearchableSelectInputStyle__StyledSelected",
  componentId: "sc-1oj168h-1"
})(["overflow:hidden;text-overflow:ellipsis;white-space:nowrap;"]);
export var StyledSelectedValue = styled.div.withConfig({
  displayName: "SearchableSelectInputStyle__StyledSelectedValue",
  componentId: "sc-1oj168h-2"
})(["border:", ";border-radius:", ";background:transparent;box-sizing:border-box;padding:0 12px;height:36px;display:flex;align-items:center;grid-column:1 / 1;grid-row:1 / 1;font-family:", ",sans-serif;font-style:normal;font-weight:400;font-size:16px;line-height:150%;color:", ";@media (max-width:", "){font-size:14px;}"], function (_ref) {
  var border = _ref.border;
  return border != null ? border : "1px solid " + Neutral.B68;
}, function (_ref2) {
  var borderRadius = _ref2.borderRadius;
  return borderRadius != null ? borderRadius : borderRadius4;
}, NotoSans, Neutral.B18, Breakpoints.large);
export var InputContainer = styled.div.withConfig({
  displayName: "SearchableSelectInputStyle__InputContainer",
  componentId: "sc-1oj168h-3"
})(["grid-column:1 / 1;grid-row:1 / 1;"]);
export var ClearSelectedContainer = styled(StyledSuffixContainer).withConfig({
  displayName: "SearchableSelectInputStyle__ClearSelectedContainer",
  componentId: "sc-1oj168h-4"
})(["z-index:2;"]);