import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["options", "allowMultiple", "disabled"];
import React, { useState } from 'react';
import { Select } from '../Select';
export var SingleSelect = function SingleSelect(_ref) {
  var options = _ref.options,
    allowMultiple = _ref.allowMultiple,
    disabled = _ref.disabled,
    args = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _useState = useState(''),
    selected = _useState[0],
    setSelected = _useState[1];
  var handleSelect = function handleSelect(_ref2) {
    var value = _ref2.value;
    setSelected(value);
  };
  return /*#__PURE__*/React.createElement(Select, _extends({}, args, {
    allowMultiple: allowMultiple,
    disabled: disabled,
    options: options,
    onSelect: handleSelect,
    selectedValues: [selected],
    width: "400px",
    label: "Label"
  }));
};