import React from 'react';
import { SkeletonTextContainer, StyledSkeletonText } from './SkeletonTextStyle';
export var SkeletonText = function SkeletonText(_ref) {
  var className = _ref.className,
    _ref$rows = _ref.rows,
    rows = _ref$rows === void 0 ? 4 : _ref$rows;
  var defaultWidth = '100%';
  var defaultVariant = 'body1';
  var renderRows = function renderRows() {
    var rowsToArray = typeof rows === 'number' ? [].concat(Array(rows)) : rows;
    return rowsToArray.map(function (row, index) {
      return /*#__PURE__*/React.createElement(StyledSkeletonText, {
        key: "skeleton-text-" + index,
        width: (row == null ? void 0 : row.width) || defaultWidth,
        variant: (row == null ? void 0 : row.variant) || defaultVariant
      });
    });
  };
  return /*#__PURE__*/React.createElement(SkeletonTextContainer, {
    className: className
  }, renderRows());
};