var _variantHeightMapping;
import styled, { css } from 'styled-components';
import * as Breakpoints from '../../../utilities/breakpoints';
import { space4 } from '../../../utilities/spacing';
import { SkeletonShimmer } from '../../SkeletonStyle';
var headline1 = css(["height:84px;@media (max-width:", "){height:36px;}"], Breakpoints.large);
var headline2 = css(["height:75px;@media (max-width:", "){height:32px;}"], Breakpoints.large);
var headline3 = css(["height:54px;@media (max-width:", "){height:28px;}"], Breakpoints.large);
var headline4 = css(["height:42px;@media (max-width:", "){height:24px;}"], Breakpoints.large);
var headline5 = css(["height:39px;@media (max-width:", "){height:20px;}"], Breakpoints.large);
var headline6 = css(["height:36px;@media (max-width:", "){height:18px;}"], Breakpoints.large);
var subtitle1 = css(["height:32px;@media (max-width:", "){height:16px;}"], Breakpoints.large);
var subtitle2 = css(["height:21px;@media (max-width:", "){height:18px;}"], Breakpoints.large);
var body1 = css(["height:24px;@media (max-width:", "){height:21px;}"], Breakpoints.large);
var body2 = css(["height:24px;@media (max-width:", "){height:21px;}"], Breakpoints.large);
var button = css(["height:14px;"]);
var caption = css(["height:20px;@media (max-width:", "){height:17px;}"], Breakpoints.large);
var overline = css(["height:17px;@media (max-width:", "){height:14px;}"], Breakpoints.large);
var variantHeightMapping = (_variantHeightMapping = {}, _variantHeightMapping['headline1'] = headline1, _variantHeightMapping['headline2'] = headline2, _variantHeightMapping['headline3'] = headline3, _variantHeightMapping['headline4'] = headline4, _variantHeightMapping['headline5'] = headline5, _variantHeightMapping['headline6'] = headline6, _variantHeightMapping['subtitle1'] = subtitle1, _variantHeightMapping['subtitle2'] = subtitle2, _variantHeightMapping['body1'] = body1, _variantHeightMapping['body2'] = body2, _variantHeightMapping['button'] = button, _variantHeightMapping['caption'] = caption, _variantHeightMapping['overline'] = overline, _variantHeightMapping);
export var StyledSkeletonText = styled.li.withConfig({
  displayName: "SkeletonTextStyle__StyledSkeletonText",
  componentId: "sc-ym0kos-0"
})(["", " width:", ";", ""], function (props) {
  return variantHeightMapping[props.variant];
}, function (props) {
  return props.width;
}, SkeletonShimmer);
export var SkeletonTextContainer = styled.ul.withConfig({
  displayName: "SkeletonTextStyle__SkeletonTextContainer",
  componentId: "sc-ym0kos-1"
})(["list-style:none;width:100%;li:not(:last-child){margin-bottom:", ";}"], space4);