import styled from 'styled-components';
import { Typography } from '../Typography';
import { space16, space4 } from '../utilities/spacing';
export var StyledWrapper = styled.div.withConfig({
  displayName: "SpinnerStyle__StyledWrapper",
  componentId: "sc-1rqoa36-0"
})(["display:flex;flex-direction:column;justify-content:center;align-items:center;@keyframes p-keyframes-spin{to{transform:rotate(1turn);}}svg{animation:p-keyframes-spin 800ms linear infinite;}"]);
export var Label = styled(Typography).withConfig({
  displayName: "SpinnerStyle__Label",
  componentId: "sc-1rqoa36-1"
})(["margin-bottom:0;&[data-size='large']{margin-top:", ";}&[data-size='small']{margin-top:", ";}"], space16, space4);