import styled from 'styled-components';
import { Breakpoints, Spacing, Typography } from '..';
import { Blue, Neutral } from '../utilities/colors';
export var SwitchTextStyle = styled(Typography).withConfig({
  displayName: "SwitchStyle__SwitchTextStyle",
  componentId: "sc-7dlucf-0"
})([""]);
export var SwitchStyle = styled.div.withConfig({
  displayName: "SwitchStyle",
  componentId: "sc-7dlucf-1"
})(["display:flex;flex-direction:row;justify-content:space-between;align-items:center;position:relative;width:", ";&[data-with-icon='true']{width:48px;}&[data-with-text='true']{width:max-content;}&[data-with-icon='true'] svg{height:16px;}height:", ";background-color:", ";&[data-disabled='true']{background-color:", ";cursor:not-allowed;}border-radius:", ";padding:0;padding-left:8px;padding-right:8px;transition:300ms all;@media (max-width:", "){width:38px;&[data-with-icon='true']{width:44px;}&[data-with-icon='true'] svg{height:14px;}height:22px;}&:before{transition:100ms all;content:' ';cursor:pointer;position:absolute;width:16px;height:16px;left:4px;right:0;border-radius:16px;background:", ";box-shadow:0px 1px 3px rgba(0,0,0,0.1);transform:scale(1);@media (max-width:", "){width:14px;height:14px;}}"], Spacing.space40, Spacing.space24, Neutral.B40, Neutral.B95, Spacing.space24, Breakpoints.large, Neutral.B100, Breakpoints.large);
export var InputStyle = styled.input.withConfig({
  displayName: "SwitchStyle__InputStyle",
  componentId: "sc-7dlucf-2"
})(["opacity:0;position:absolute;& + ", "{", "{padding-inline-start:18px;}}&:checked + ", "{", "{padding-inline-start:unset;padding-inline-end:18px;}background-color:", ";&[data-disabled='true']{background-color:", ";}&:before{right:4px;left:unset;}}& + ", " svg:nth-child(1){visibility:hidden;}& + ", " svg:nth-child(2){visibility:visible;}& + ", " ", ":nth-child(1){visibility:hidden;display:none;}& + ", " ", ":nth-child(2){visibility:visible;display:block;}&:checked + ", " svg:nth-child(1){visibility:visible;}&:checked + ", " svg:nth-child(2){visibility:hidden;}&:checked + ", " ", ":nth-child(1){visibility:visible;display:block;}&:checked + ", " ", ":nth-child(2){visibility:hidden;display:none;}"], SwitchStyle, SwitchTextStyle, SwitchStyle, SwitchTextStyle, function (_ref) {
  var backgroundColor = _ref.backgroundColor;
  return backgroundColor || Blue.S99;
}, Neutral.B95, SwitchStyle, SwitchStyle, SwitchStyle, SwitchTextStyle, SwitchStyle, SwitchTextStyle, SwitchStyle, SwitchStyle, SwitchStyle, SwitchTextStyle, SwitchStyle, SwitchTextStyle);
export var LabelStyle = styled.label.withConfig({
  displayName: "SwitchStyle__LabelStyle",
  componentId: "sc-7dlucf-3"
})(["display:flex;align-items:center;gap:10px;cursor:pointer;"]);