import styled from 'styled-components';
import { Blue, Neutral } from '../utilities/colors';
import { space16, space4, space8 } from '../utilities/spacing';
import * as Breakpoints from '../utilities/breakpoints';
export var StyledTabsContainer = styled.div.withConfig({
  displayName: "TabStyle__StyledTabsContainer",
  componentId: "sc-3xj4eu-0"
})(["display:block;"]);
export var StyledTabHeaderContainer = styled.div.withConfig({
  displayName: "TabStyle__StyledTabHeaderContainer",
  componentId: "sc-3xj4eu-1"
})(["box-shadow:inset 0px -1px 0px #e1e3e5;overflow-x:auto;white-space:nowrap;background:transparent;position:relative;margin:0;::-webkit-scrollbar{display:none;}&[data-scroll-left='true']{box-shadow:30px 0 50px -50px #474747 inset;}&[data-scroll-right='true']{box-shadow:-30px 0px 50px -50px #474747 inset;}&[data-scroll-left='true'][data-scroll-right='true']{box-shadow:30px 0 50px -50px #474747 inset,-30px 0px 50px -50px #474747 inset;}&[data-grabbing='true']{cursor:grabbing;}"]);
export var StyledUl = styled.ul.withConfig({
  displayName: "TabStyle__StyledUl",
  componentId: "sc-3xj4eu-2"
})(["display:flex;flex-direction:row;align-items:flex-start;padding:0;gap:", ";margin:0;&[data-fitted='true'] li{flex:1;}"], space8);
export var StyledLi = styled.li.withConfig({
  displayName: "TabStyle__StyledLi",
  componentId: "sc-3xj4eu-3"
})(["display:flex;margin:0;padding:0 ", ";"], space4);
export var StyledSpan = styled.span.withConfig({
  displayName: "TabStyle__StyledSpan",
  componentId: "sc-3xj4eu-4"
})(["position:relative;display:block;padding:0 ", ";&::before{content:'';position:absolute;bottom:-", ";left:0;right:0;height:3px;border-top-left-radius:", ";border-top-right-radius:", ";}&&::after{content:'';position:absolute;z-index:1;inset:-1px;pointer-events:none;box-shadow:0 0 0 -1px ", ";transition:box-shadow 100ms ease;}@media (max-width:", "){&::before{bottom:-14px;}}"], space16, space16, space4, space4, Blue.S99, Breakpoints.large);
export var StyledTabButton = styled.button.withConfig({
  displayName: "TabStyle__StyledTabButton",
  componentId: "sc-3xj4eu-5"
})(["border:0;background:transparent;height:56px;cursor:default;color:", ";width:100%;padding:0 ", ";&[data-disabled='false']{cursor:pointer;&:hover{color:", ";}&:hover span::before{background:", ";}}&&&[data-selected='true']{color:", ";}&&&[data-selected='true'] > span::before{background:", ";}@media (max-width:", "){height:48px;}"], Neutral.B40, space4, Neutral.B18, Blue.S100, Blue.S99, Blue.S99, Breakpoints.large);