import styled from 'styled-components';
import { borderRadius4 } from '../utilities/borderRadius';
import { Neutral, Red } from '../utilities/colors';
import { body1 as typographyBody1 } from '../Typography/TypographyStyles';
import { FloatingLabel } from '../Input/InputStyle';
export var StyledTextAreaContainer = styled.div.withConfig({
  displayName: "TextAreaStyle__StyledTextAreaContainer",
  componentId: "sc-1cq0fhw-0"
})(["position:relative;width:", ";border:", ";border-radius:", ";padding:8px 12px 25px 12px;cursor:text;&:not([data-has-counter='true']){padding-bottom:8px;}&[data-focus='true']{outline:none;box-shadow:0px 0px 0px 1px ", ",0px 0px 0px 3px #6ac9ec;}&[data-error='true']{border:1px solid ", ";&[data-focus='true']{box-shadow:none;}}&[data-disabled='true']{border:1px solid ", ";background:", ";}"], function (props) {
  return props.width;
}, function (_ref) {
  var border = _ref.border;
  return border != null ? border : "1px solid " + Neutral.B68;
}, function (_ref2) {
  var borderRadius = _ref2.borderRadius;
  return borderRadius != null ? borderRadius : borderRadius4;
}, Neutral.B100, Red.B93, Neutral.B85, Neutral.B95);
export var StyledTextArea = styled.textarea.withConfig({
  displayName: "TextAreaStyle__StyledTextArea",
  componentId: "sc-1cq0fhw-1"
})(["background:", ";box-sizing:border-box;border:none;", " ", " color:", ";resize:none;width:100%;::-webkit-scrollbar{width:4px;}::-webkit-scrollbar-thumb{background-color:", ";border-radius:2px;}::-webkit-scrollbar-thumb:hover{background-color:", ";}&::placeholder{color:", ";}&:focus{outline:none;}:disabled{background:", ";::placeholder{color:", ";}}"], Neutral.B100, function (_ref3) {
  var isPlaceholderFloating = _ref3.isPlaceholderFloating;
  return isPlaceholderFloating && FloatingLabel;
}, typographyBody1, Neutral.B18, Neutral.B68, Neutral.B40, Neutral.B68, Neutral.B95, Neutral.B85);
export var StyledWordCountContainer = styled.div.withConfig({
  displayName: "TextAreaStyle__StyledWordCountContainer",
  componentId: "sc-1cq0fhw-2"
})(["position:absolute;bottom:8px;right:12px;color:", ";&[data-error='true']{color:", ";}&[data-disabled='true']{color:", ";}"], Neutral.B40, Red.B93, Neutral.B85);