import React from 'react';
import { InputProps } from '../Input/Input';
export declare type TextInputProps = Omit<InputProps, 'type' | 'onChange'> & {
    canClear?: boolean;
    onChange?: (value: string) => void;
    height?: string;
    border?: string;
    borderRadius?: string;
    required?: boolean;
    isPlaceholderFloating?: boolean;
    floatingFontSize?: string;
    placeholderColor?: string;
    floatingPlaceholderTop?: number;
};
export declare const TextInput: React.ForwardRefExoticComponent<Omit<InputProps, "type" | "onChange"> & {
    canClear?: boolean;
    onChange?: (value: string) => void;
    height?: string;
    border?: string;
    borderRadius?: string;
    required?: boolean;
    isPlaceholderFloating?: boolean;
    floatingFontSize?: string;
    placeholderColor?: string;
    floatingPlaceholderTop?: number;
} & React.RefAttributes<HTMLInputElement>>;
