import styled from 'styled-components';
import * as Breakpoints from '../utilities/breakpoints';
import { Blue, Neutral, Red } from '../utilities/colors';
export var StyledInvisibleInput = styled.input.withConfig({
  displayName: "UploadStyle__StyledInvisibleInput",
  componentId: "sc-vgra38-0"
})(["display:none;"]);
export var StyledUploadContainer = styled.div.withConfig({
  displayName: "UploadStyle__StyledUploadContainer",
  componentId: "sc-vgra38-1"
})(["position:relative;width:80px;height:80px;background-color:", ";border:1px dashed ", ";border-radius:2px;:hover{background-color:", ";}&[data-type='initial']{cursor:pointer;}&[data-type='image']{border:none;}&[data-type='loading']{background-color:", ";}&[data-error='true']{border:1px dashed ", ";}"], Neutral.B99, Neutral.B68, Neutral.B95, Neutral.B95, Red.B93);
export var StyledTextContainer = styled.div.withConfig({
  displayName: "UploadStyle__StyledTextContainer",
  componentId: "sc-vgra38-2"
})(["position:absolute;top:46.5px;left:50%;transform:translateX(-50%);color:", ";"], Neutral.B18);
export var StyledIconContainer = styled.div.withConfig({
  displayName: "UploadStyle__StyledIconContainer",
  componentId: "sc-vgra38-3"
})(["position:absolute;top:12.5px;left:50%;transform:translateX(-50%);cursor:pointer;svg{fill:", ";color:", ";height:24px;width:24px;}&[data-type='loading']{top:17.5px;svg{fill:", ";height:18px;width:18px;}}"], Neutral.B40, Neutral.B40, Blue.S99);
export var StyledUploadedImage = styled.img.withConfig({
  displayName: "UploadStyle__StyledUploadedImage",
  componentId: "sc-vgra38-4"
})(["position:absolute;height:80px;width:80px;z-index:1;border:1px solid ", ";border-radius:2px;object-fit:", ";"], Neutral.B68, function (props) {
  return props.objectFit;
});
export var StyledDeleteButtonContainer = styled.div.withConfig({
  displayName: "UploadStyle__StyledDeleteButtonContainer",
  componentId: "sc-vgra38-5"
})(["position:absolute;height:24px;width:24px;left:4px;bottom:4px;cursor:pointer;z-index:3;@media (max-width:", "){height:32px;width:32px;left:0px;bottom:0px;}"], Breakpoints.large);
export var StyledDeleteIconContainer = styled.div.withConfig({
  displayName: "UploadStyle__StyledDeleteIconContainer",
  componentId: "sc-vgra38-6"
})(["position:absolute;height:24px;width:24px;left:0px;bottom:0px;background-color:", ";border:1px solid ", ";border-radius:50%;z-index:2;display:flex;justify-content:center;align-items:center;svg{height:16px;width:16px;fill:", ";}@media (max-width:", "){left:4px;bottom:4px;}"], Neutral.B100, Neutral.B68, Neutral.B40, Breakpoints.large);
export var StyledErrorContainer = styled.div.withConfig({
  displayName: "UploadStyle__StyledErrorContainer",
  componentId: "sc-vgra38-7"
})(["position:relative;"]);
export var StyledErrorIconContainer = styled.div.withConfig({
  displayName: "UploadStyle__StyledErrorIconContainer",
  componentId: "sc-vgra38-8"
})(["position:absolute;top:4px;svg{fill:", ";height:20px;width:20px;}"], Red.B93);
export var StyledErrorTextContainer = styled.div.withConfig({
  displayName: "UploadStyle__StyledErrorTextContainer",
  componentId: "sc-vgra38-9"
})(["position:absolute;top:4px;left:24px;color:", ";"], Red.B93);