import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["className", "children", "block", "outline", "onClick"];
import * as React from 'react';
import classNames from 'classnames';
import { TagContainer, TagContent } from './TagStyle';
var Tag = function Tag(_ref) {
  var className = _ref.className,
    children = _ref.children,
    _ref$block = _ref.block,
    block = _ref$block === void 0 ? false : _ref$block,
    _ref$outline = _ref.outline,
    outline = _ref$outline === void 0 ? false : _ref$outline,
    onClick = _ref.onClick,
    restProps = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/React.createElement(TagContainer, _extends({
    className: classNames('aries-tag', className),
    role: "presentation",
    tabIndex: 0,
    block: block,
    outline: outline,
    isClickable: typeof onClick === 'function',
    onClick: onClick
  }, restProps), /*#__PURE__*/React.createElement(TagContent, {
    className: "tag-content",
    tabIndex: -1
  }, children));
};
export default Tag;