import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["flexDirection", "justifyContent", "alignItems", "flexWrap", "gap"];
import * as React from 'react';
import styled from 'styled-components';
import { Box } from '../Box';
export var StyledFlex = styled(Box).withConfig({
  displayName: "Flex__StyledFlex",
  componentId: "sc-11ryoct-0"
})(["display:flex;flex-direction:", ";justify-content:", ";align-items:", ";flex-wrap:", ";gap:", ";"], function (_ref) {
  var flexDirection = _ref.flexDirection;
  return flexDirection;
}, function (_ref2) {
  var justifyContent = _ref2.justifyContent;
  return justifyContent;
}, function (_ref3) {
  var alignItems = _ref3.alignItems;
  return alignItems;
}, function (_ref4) {
  var flexWrap = _ref4.flexWrap;
  return flexWrap;
}, function (_ref5) {
  var gap = _ref5.gap;
  return gap;
});
export var Flex = function Flex(_ref6) {
  var _ref6$flexDirection = _ref6.flexDirection,
    flexDirection = _ref6$flexDirection === void 0 ? 'row' : _ref6$flexDirection,
    _ref6$justifyContent = _ref6.justifyContent,
    justifyContent = _ref6$justifyContent === void 0 ? 'flex-start' : _ref6$justifyContent,
    _ref6$alignItems = _ref6.alignItems,
    alignItems = _ref6$alignItems === void 0 ? 'stretch' : _ref6$alignItems,
    _ref6$flexWrap = _ref6.flexWrap,
    flexWrap = _ref6$flexWrap === void 0 ? 'nowrap' : _ref6$flexWrap,
    gap = _ref6.gap,
    restProps = _objectWithoutPropertiesLoose(_ref6, _excluded);
  return /*#__PURE__*/React.createElement(StyledFlex, _extends({
    flexDirection: flexDirection,
    justifyContent: justifyContent,
    alignItems: alignItems,
    flexWrap: flexWrap,
    gap: gap
  }, restProps));
};