import React from 'react';
import { AlertProvider } from '../../@next/Alert/AlertProvider';
import { ModalProvider } from '../../@next/Modal/ModalProvider';
export var withAlertProvider = function withAlertProvider(Story) {
  return /*#__PURE__*/React.createElement(AlertProvider, null, /*#__PURE__*/React.createElement(Story, null));
};
export var withModalProvider = function withModalProvider(Story) {
  return /*#__PURE__*/React.createElement(ModalProvider, null, /*#__PURE__*/React.createElement(Story, null));
};
export var withGlintsPortalContainer = function withGlintsPortalContainer(Story) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    id: "glints-portal-container"
  }), /*#__PURE__*/React.createElement(Story, null));
};