import React from 'react';
export declare type Item = {
    content: React.ReactNode;
    description?: React.ReactNode;
    icon?: React.ReactElement<React.SVGProps<SVGSVGElement>>;
    action?: (...args: any) => void;
    disabled?: boolean;
};
export declare type Section = {
    title: React.ReactNode;
    items?: Item[];
};
export declare type ActionListProps = {
    items?: Item[];
    sections?: Section[];
};
export declare const ActionList: ({ items, sections }: ActionListProps) => JSX.Element;
