"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledActionListSection = exports.StyledActionListItemWrapper = exports.StyledActionListItemDescription = exports.StyledActionListItem = exports.StyledActionListContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
var Breakpoints = _interopRequireWildcard(require("../utilities/breakpoints"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var StyledActionListContainer = _styledComponents["default"].div.withConfig({
  displayName: "ActionListStyle__StyledActionListContainer",
  componentId: "sc-2x4nd5-0"
})(["padding:", " 0;background:", ";color:", ";li{list-style-type:none;padding:0;margin:0;}"], _spacing.space8, _colors.Neutral.B100, _colors.Neutral.B18);
exports.StyledActionListContainer = StyledActionListContainer;
var StyledActionListSection = _styledComponents["default"].div.withConfig({
  displayName: "ActionListStyle__StyledActionListSection",
  componentId: "sc-2x4nd5-1"
})(["padding:", " ", " ", ";color:", ";text-transform:uppercase;"], _spacing.space12, _spacing.space16, _spacing.space8, _colors.Neutral.B40);
exports.StyledActionListSection = StyledActionListSection;
var StyledActionListItemWrapper = _styledComponents["default"].div.withConfig({
  displayName: "ActionListStyle__StyledActionListItemWrapper",
  componentId: "sc-2x4nd5-2"
})(["margin:0 ", ";cursor:pointer;&:hover{background:", ";border-radius:", ";}&:active{background:", ";border-radius:", ";}&&&{&:active{border:0;}}&:focus{outline:none;border:2px solid ", ";border-radius:", ";}&[data-disabled='true']{pointer-events:none;svg{fill:", ";}.action-item-content,.action-item-description{color:", ";}}"], _spacing.space8, _colors.Neutral.B99, _borderRadius.borderRadius4, _colors.Neutral.B95, _borderRadius.borderRadius4, _colors.Blue.S54, _borderRadius.borderRadius4, _colors.Neutral.B85, _colors.Neutral.B85);
exports.StyledActionListItemWrapper = StyledActionListItemWrapper;
var StyledActionListItem = _styledComponents["default"].div.withConfig({
  displayName: "ActionListStyle__StyledActionListItem",
  componentId: "sc-2x4nd5-3"
})(["display:flex;gap:", ";padding:", ";align-items:center;svg{height:24px;width:24px;fill:", ";}@media (max-width:", "){svg{height:20px;width:20px;}}"], _spacing.space8, _spacing.space8, _colors.Neutral.B40, Breakpoints.large);
exports.StyledActionListItem = StyledActionListItem;
var StyledActionListItemDescription = _styledComponents["default"].div.withConfig({
  displayName: "ActionListStyle__StyledActionListItemDescription",
  componentId: "sc-2x4nd5-4"
})(["padding:0 ", " ", ";margin-top:calc(", " * -1);align-items:center;"], _spacing.space8, _spacing.space8, _spacing.space8);
exports.StyledActionListItemDescription = StyledActionListItemDescription;