"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledAlertContentColumn = exports.StyledAlertContainer = exports.StyledAlertCloseIconContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _borderRadius = require("../utilities/borderRadius");
var Breakpoints = _interopRequireWildcard(require("../utilities/breakpoints"));
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var StyledAlertContainer = _styledComponents["default"].div.withConfig({
  displayName: "AlertStyle__StyledAlertContainer",
  componentId: "sc-1e5i2kj-0"
})(["position:fixed;top:", ";right:", ";display:flex;padding:", ";gap:", ";max-width:640px;width:fit-content;border-radius:", ";box-shadow:0px 8px 20px rgba(71,71,71,0.2),0px 3px 6px -3px rgba(71,71,71,0.08);animation:slide-from-right 400ms cubic-bezier(0.35,0.8,1,0.86);z-index:", ";color:", ";svg{display:block;height:24px;width:24px;}&[data-titled='true'] svg{margin-top:3px;}&[data-status='success']{background:", ";}&[data-status='success'] svg{fill:", ";}&[data-status='info']{background:", ";}&[data-status='info'] svg{fill:", ";}&[data-status='warning']{background:", ";}&[data-status='warning'] svg{fill:", ";}&[data-status='error']{background:", ";}&[data-status='error'] svg{fill:", ";}@media (max-width:", "){top:60px;&[data-titled='true']{margin-top:-1px;}&[data-titled='true'] svg{margin-top:0;}padding:", ";min-height:37px;}@media (max-width:480px){&[data-titled='true']{margin-top:-1px;}&[data-titled='true'] svg{margin-top:0;}max-width:calc(100vw - 48px);}@keyframes slide-from-right{0%{transform:translateX(50px);}50%{transform:translateX(0px);}75%{transform:translateX(-10px);}100%{transform:translateX(0px);}}"], function (props) {
  var _props$position;
  return (_props$position = props.position) != null && _props$position.top ? props.position.top : '90px';
}, function (props) {
  var _props$position2;
  return (_props$position2 = props.position) != null && _props$position2.right ? props.position.right : '24px';
}, _spacing.space12, _spacing.space8, _borderRadius.borderRadius4, function (props) {
  return props.zIndex ? props.zIndex : 100;
}, _colors.Neutral.B18, _colors.Green.B89, _colors.Green.B61, _colors.Blue.S08, _colors.Blue.S99, _colors.Orange.S21, _colors.Orange.S86, _colors.Red.B100, _colors.Red.B93, Breakpoints.large, _spacing.space8);
exports.StyledAlertContainer = StyledAlertContainer;
var StyledAlertCloseIconContainer = _styledComponents["default"].div.withConfig({
  displayName: "AlertStyle__StyledAlertCloseIconContainer",
  componentId: "sc-1e5i2kj-1"
})(["cursor:pointer;&&& svg{fill:", ";}"], _colors.Neutral.B40);
exports.StyledAlertCloseIconContainer = StyledAlertCloseIconContainer;
var StyledAlertContentColumn = _styledComponents["default"].div.withConfig({
  displayName: "AlertStyle__StyledAlertContentColumn",
  componentId: "sc-1e5i2kj-2"
})(["min-width:240px;max-width:560px;padding:0;@media (max-width:480px){min-width:unset;}"]);
exports.StyledAlertContentColumn = StyledAlertContentColumn;