import React, { RefObject } from 'react';
export interface AuthenticationInputProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'onChange'> {
    numberOfInputs: number;
    disabled?: boolean;
    error?: boolean;
    forwardedRef?: RefObject<HTMLDivElement>;
    /** will always return null when not all inputs are filled */
    onChange?: (value: string | null) => void;
}
export declare const AuthenticationInput: React.ForwardRefExoticComponent<AuthenticationInputProps & React.RefAttributes<HTMLDivElement>>;
