"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledCloseIconWrapper = exports.StyledBannerTitleContainer = exports.StyledBannerTitle = exports.StyledBannerContentContainer = exports.StyledBanner = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var Breakpoints = _interopRequireWildcard(require("../utilities/breakpoints"));
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var StyledCloseIconWrapper = _styledComponents["default"].div.withConfig({
  displayName: "BannerStyle__StyledCloseIconWrapper",
  componentId: "sc-1suv683-0"
})(["cursor:pointer;&&& svg{right:0;top:0;fill:", ";}@media (max-width:", "){&&& svg{top:-1px;}}"], _colors.Neutral.B40, Breakpoints.large);
exports.StyledCloseIconWrapper = StyledCloseIconWrapper;
var StyledBanner = _styledComponents["default"].div.withConfig({
  displayName: "BannerStyle__StyledBanner",
  componentId: "sc-1suv683-1"
})(["min-height:100px;padding:20px;background:", ";color:", ";border:1px solid ", ";border-radius:", ";&[data-titled='true'] svg{top:3px;}&[data-status='success']{background:", ";border:1px solid ", ";}&[data-status='success'] svg{fill:", ";}&[data-status='info']{background:", ";border:1px solid ", ";}&[data-status='info'] svg{fill:", ";}&[data-status='warning']{background:", ";border:1px solid ", ";}&[data-status='warning'] svg{fill:", ";}&[data-status='critical']{background:", ";border:1px solid ", ";}&[data-status='critical'] svg{fill:", ";}@media (max-width:", "){min-height:89px;&[data-titled='true'] svg{top:0;}}"], _colors.Neutral.B99, _colors.Neutral.B18, _colors.Neutral.B68, _borderRadius.borderRadius8, _colors.Green.B89, _colors.Neutral.B68, _colors.Green.B61, _colors.Blue.S08, _colors.Blue.S99, _colors.Blue.S99, _colors.Orange.S21, _colors.Orange.S86, _colors.Orange.S87, _colors.Red.B100, _colors.Red.B93, _colors.Red.B93, Breakpoints.large);
exports.StyledBanner = StyledBanner;
var StyledBannerContentContainer = _styledComponents["default"].div.withConfig({
  displayName: "BannerStyle__StyledBannerContentContainer",
  componentId: "sc-1suv683-2"
})(["&[data-show-icon='true']{padding-left:40px;}button{margin-top:10px;}"]);
exports.StyledBannerContentContainer = StyledBannerContentContainer;
var StyledBannerTitleContainer = _styledComponents["default"].div.withConfig({
  displayName: "BannerStyle__StyledBannerTitleContainer",
  componentId: "sc-1suv683-3"
})(["position:relative;svg{position:absolute;fill:", ";height:24px;width:24px;top:0;}"], _colors.Neutral.B40);
exports.StyledBannerTitleContainer = StyledBannerTitleContainer;
var StyledBannerTitle = _styledComponents["default"].div.withConfig({
  displayName: "BannerStyle__StyledBannerTitle",
  componentId: "sc-1suv683-4"
})(["margin-bottom:", ";&[data-show-icon='true']{padding-left:40px;}button{margin-top:10px;}"], _spacing.space4);
exports.StyledBannerTitle = StyledBannerTitle;