"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledFixedIconWrapper = exports.StyledFixedCloseIconWrapper = exports.StyledFixedBannerContentContainer = exports.StyledFixedBannerButtonContainer = exports.StyledFixedBanner = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var Breakpoints = _interopRequireWildcard(require("../utilities/breakpoints"));
var _colors = require("../utilities/colors");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var StyledFixedBanner = _styledComponents["default"].div.withConfig({
  displayName: "FixedBannerStyle__StyledFixedBanner",
  componentId: "sc-1clh4a2-0"
})(["position:fixed;left:0;right:0;min-height:56px;display:flex;justify-content:center;align-items:center;padding-inline:48px;background:", ";color:", ";svg{position:static;fill:", ";height:24px;width:24px;margin-top:2px;}&[data-status='success']{background:", ";}&[data-status='info']{background:", ";}&[data-status='warning']{background:", ";}&[data-status='critical']{background:", ";}@media (max-width:", "){padding:16px;min-height:100px;justify-content:flex-start;align-items:flex-start;svg{margin-top:-2px;}&[data-nobutton='true']{min-height:52px;}}"], _colors.Neutral.B99, _colors.Neutral.B18, _colors.Neutral.B40, _colors.Green.B89, _colors.Blue.S08, _colors.Orange.S21, _colors.Red.B100, Breakpoints.large);
exports.StyledFixedBanner = StyledFixedBanner;
var StyledFixedIconWrapper = _styledComponents["default"].div.withConfig({
  displayName: "FixedBannerStyle__StyledFixedIconWrapper",
  componentId: "sc-1clh4a2-1"
})(["padding-right:12px;&[data-status='success'] svg{fill:", ";}&[data-status='info'] svg{fill:", ";}&[data-status='warning'] svg{fill:", ";}&[data-status='critical'] svg{fill:", ";}@media (max-width:", "){position:absolute;left:16px;top:16px;}"], _colors.Green.B61, _colors.Blue.S99, _colors.Orange.S87, _colors.Red.B93, Breakpoints.large);
exports.StyledFixedIconWrapper = StyledFixedIconWrapper;
var StyledFixedBannerContentContainer = _styledComponents["default"].div.withConfig({
  displayName: "FixedBannerStyle__StyledFixedBannerContentContainer",
  componentId: "sc-1clh4a2-2"
})(["padding-right:16px;@media (max-width:", "){padding-left:36px;padding-right:0px;&[data-dismissable='true']{padding-right:36px;}&[data-has-action='true']{padding-bottom:52px;}&:not([data-show-icon='true']){padding-left:0px;}}"], Breakpoints.large);
exports.StyledFixedBannerContentContainer = StyledFixedBannerContentContainer;
var StyledFixedBannerButtonContainer = _styledComponents["default"].div.withConfig({
  displayName: "FixedBannerStyle__StyledFixedBannerButtonContainer",
  componentId: "sc-1clh4a2-3"
})(["@media (max-width:", "){position:absolute;bottom:16px;left:52px;&:not([data-show-icon='true']){left:16px;}}"], Breakpoints.large);
exports.StyledFixedBannerButtonContainer = StyledFixedBannerButtonContainer;
var StyledFixedCloseIconWrapper = _styledComponents["default"].div.withConfig({
  displayName: "FixedBannerStyle__StyledFixedCloseIconWrapper",
  componentId: "sc-1clh4a2-4"
})(["cursor:pointer;position:absolute;color:", ";right:48px;padding-left:16px;svg{fill:", ";}@media (max-width:", "){top:16px;right:16px;}"], _colors.Neutral.B40, _colors.Neutral.B40, Breakpoints.large);
exports.StyledFixedCloseIconWrapper = StyledFixedCloseIconWrapper;