"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledButtonGroup = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
var StyledButtonGroup = _styledComponents["default"].div.withConfig({
  displayName: "ButtonGroupStyle__StyledButtonGroup",
  componentId: "sc-7vhxrt-0"
})(["display:flex;flex-direction:row;align-items:center;padding:0px;gap:", ";&[data-segmented='true']{gap:0;}&[data-segmented='true'] button[data-active='true']{border:1px solid ", ";}&[data-segmented='true'] button{border-radius:0;border-right:0;&:nth-child(1){border-radius:", " 0px 0px ", ";}&:nth-last-child(1){border-radius:0px ", " ", " 0px;border-right:1px solid ", ";}}&[data-segmented='true'] button:focus{z-index:1;border:1px solid ", ";}&[data-full-width='true'] button{flex:1;}&[data-segmented='true']&[data-button-wrapped='true'] > *{button{border-radius:0;border-right:0;}&:nth-child(1) button{border-radius:", " 0px 0px ", ";}&:nth-last-child(1) button{border-radius:0px ", " ", " 0px;border-right:1px solid ", ";}}"], _spacing.space8, _colors.Neutral.B40, _borderRadius.borderRadius4, _borderRadius.borderRadius4, _borderRadius.borderRadius4, _borderRadius.borderRadius4, _colors.Neutral.B68, _colors.Neutral.B68, _borderRadius.borderRadius4, _borderRadius.borderRadius4, _borderRadius.borderRadius4, _borderRadius.borderRadius4, _colors.Neutral.B68);
exports.StyledButtonGroup = StyledButtonGroup;