import React from 'react';
import { ComponentAction } from '../../types/componentAction';
export declare type CardProps = {
    heading?: React.ReactNode;
    subheading?: React.ReactNode;
    children?: React.ReactNode;
    primaryAction?: ComponentAction;
    secondaryAction?: ComponentAction;
    headerPrimaryAction?: ComponentAction;
    headerSecondaryAction?: ComponentAction;
    actionsAlignment?: 'left' | 'right';
    /** Defining custom actions will not show primary and secondary actions */
    customActions?: React.ReactNode;
};
export declare const Card: React.ForwardRefExoticComponent<CardProps & React.RefAttributes<HTMLDivElement>> & {
    Section: ({ children }: {
        children: React.ReactNode;
    }) => JSX.Element;
};
