"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Collapse = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _CollapseItem = require("./CollapseItem");
var _CollapseStyle = require("./CollapseStyle");
var _excluded = ["hasBorder", "children", "showIndicator", "indicatorPosition"];
var CollapseComponent = /*#__PURE__*/_react["default"].forwardRef(function Collapse(_ref, ref) {
  var _ref$hasBorder = _ref.hasBorder,
    hasBorder = _ref$hasBorder === void 0 ? true : _ref$hasBorder,
    children = _ref.children,
    showIndicator = _ref.showIndicator,
    indicatorPosition = _ref.indicatorPosition,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_CollapseStyle.CollapseComponentContainer, (0, _extends2["default"])({
    ref: ref,
    "data-border": hasBorder
  }, props), _react["default"].Children.map(children, function (child) {
    var _child$props, _child$props2;
    var childShowIndicator = ((_child$props = child.props) == null ? void 0 : _child$props.showIndicator) || showIndicator;
    var childIndicatorPosition = ((_child$props2 = child.props) == null ? void 0 : _child$props2.indicatorPosition) || indicatorPosition;
    return /*#__PURE__*/_react["default"].cloneElement(child, {
      showIndicator: childShowIndicator,
      indicatorPosition: childIndicatorPosition
    });
  })));
});
var Collapse = Object.assign(CollapseComponent, {
  Item: _CollapseItem.CollapseItem
});
exports.Collapse = Collapse;