import React from 'react';
import { TextInputProps } from '../../../TextInput';
export interface ComboboxTextInputProps extends Omit<TextInputProps, 'onChange'> {
    onChange?(value: string): void;
    textInputWidth?: number;
    setTextInputWidth?: React.Dispatch<(prevState: undefined) => undefined>;
}
export declare const TextInput: ({ onChange, value, ...props }: ComboboxTextInputProps) => JSX.Element;
