"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.TableCell = void 0;
var _react = _interopRequireDefault(require("react"));
var _Typography = require("../Typography");
var _DataTableStyle = require("./DataTableStyle");
var TableCell = function TableCell(_ref) {
  var align = _ref.align,
    children = _ref.children,
    _ref$noWrap = _ref.noWrap,
    noWrap = _ref$noWrap === void 0 ? false : _ref$noWrap,
    _ref$verticalAlign = _ref.verticalAlign,
    verticalAlign = _ref$verticalAlign === void 0 ? 'top' : _ref$verticalAlign;
  return /*#__PURE__*/_react["default"].createElement(_DataTableStyle.StyledTableCell, {
    "data-text-align": align,
    "data-no-wrap": noWrap,
    "data-vertical-align": verticalAlign
  }, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "subtitle2"
  }, children));
};
exports.TableCell = TableCell;