import React from 'react';
import { SortDirection } from './DataTable';
export interface TableHeaderProps extends Omit<React.ThHTMLAttributes<HTMLTableColElement>, 'title'> {
    title: React.ReactNode;
    sortDirection?: SortDirection;
    onSort?: (sortDirection: SortDirection) => void;
}
export declare const TableHeader: ({ sortDirection: sortDirectionProp, title, align, onSort, }: TableHeaderProps) => JSX.Element;
