"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.LoadingState = void 0;
var _react = _interopRequireDefault(require("react"));
var _Spinner = require("../../../Spinner");
var _colors = require("../../../utilities/colors");
var _LoadingStateStyle = require("./LoadingStateStyle");
var _Typography = require("../../../Typography");
var LoadingState = function LoadingState(_ref) {
  var colSpan = _ref.colSpan,
    label = _ref.label;
  return /*#__PURE__*/_react["default"].createElement(_LoadingStateStyle.LoadingStateContainer, {
    colSpan: colSpan + 1
  }, /*#__PURE__*/_react["default"].createElement(_LoadingStateStyle.SpinnerContainer, null, /*#__PURE__*/_react["default"].createElement(_Spinner.Spinner, {
    height: 48,
    width: 48,
    fill: _colors.Blue.S99
  }), /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    variant: "subtitle1",
    color: _colors.Neutral.B18
  }, label)));
};
exports.LoadingState = LoadingState;