"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.TitleContainer = exports.StyledSections = exports.StyledMenu = exports.ListContainer = exports.List = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
var StyledMenu = _styledComponents["default"].ul.withConfig({
  displayName: "MenuStyle__StyledMenu",
  componentId: "sc-zm0l1a-0"
})(["list-style:none;padding:0;margin:0;li{display:flex;min-height:44px;position:relative;align-items:center;padding:0 ", ";margin-bottom:", ";svg{height:24px;width:24px;}&:hover{background:", ";border-radius:", ";cursor:pointer;}&:focus{outline:none;background:rgba(255,255,255,0.001);border:2px solid ", ";border-radius:", ";}&[aria-disabled='true']{cursor:default;pointer-events:none;span{color:", ";}}&[data-active='true']{background:", ";border-radius:", ";cursor:default;::before{content:'';display:block;position:absolute;top:0;left:-", ";height:44px;width:3px;background-color:", ";border-radius:0px 4px 4px 0px;}&[data-multiple='true']{background:", ";::before{content:none;}}}}"], _spacing.space8, _spacing.space4, _colors.Neutral.B99, _borderRadius.borderRadius4, _colors.Blue.S54, _spacing.space4, _colors.Neutral.B85, _colors.Blue.S08, _borderRadius.borderRadius4, _spacing.space8, _colors.Blue.S99, _colors.Neutral.B100);
exports.StyledMenu = StyledMenu;
var TitleContainer = _styledComponents["default"].div.withConfig({
  displayName: "MenuStyle__TitleContainer",
  componentId: "sc-zm0l1a-1"
})(["margin:", " 0 ", ";padding:", " ", ";span{text-transform:uppercase;}"], _spacing.space8, _spacing.space4, _spacing.space8, _spacing.space16);
exports.TitleContainer = TitleContainer;
var ListContainer = _styledComponents["default"].div.withConfig({
  displayName: "MenuStyle__ListContainer",
  componentId: "sc-zm0l1a-2"
})(["padding:0 ", ";"], _spacing.space8);
exports.ListContainer = ListContainer;
var List = _styledComponents["default"].li.withConfig({
  displayName: "MenuStyle__List",
  componentId: "sc-zm0l1a-3"
})(["height:max-content;span{overflow:hidden;width:100%;}"]);
exports.List = List;
var StyledSections = _styledComponents["default"].ul.withConfig({
  displayName: "MenuStyle__StyledSections",
  componentId: "sc-zm0l1a-4"
})(["list-style:none;padding:0;margin:", " 0;"], _spacing.space8);
exports.StyledSections = StyledSections;