"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.MenuOptionLabel = void 0;
var _react = _interopRequireDefault(require("react"));
var _Typography = require("../../Typography");
var _colors = require("../../utilities/colors");
var _MenuOptionLabelStyle = require("./MenuOptionLabelStyle");
var MenuOptionLabel = function MenuOptionLabel(_ref) {
  var label = _ref.label,
    sublabel = _ref.sublabel;
  if (!sublabel) {
    return /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
      as: "span",
      variant: "body1",
      color: _colors.Neutral.B18
    }, label);
  }
  return /*#__PURE__*/_react["default"].createElement(_MenuOptionLabelStyle.MenuOptionLabelContainer, null, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "span",
    variant: "body1",
    color: _colors.Neutral.B18
  }, label), /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "span",
    variant: "subtitle2",
    color: _colors.Neutral.B40
  }, sublabel));
};
exports.MenuOptionLabel = MenuOptionLabel;