import React from 'react';
import { InputProps } from '../Input/Input';
export declare type NumberInputProps = Omit<InputProps, 'type' | 'prefix'> & {
    border?: string;
    borderRadius?: string;
    required?: boolean;
    isPlaceholderFloating?: boolean;
};
export declare const NumberInput: React.ForwardRefExoticComponent<Omit<InputProps, "type" | "prefix"> & {
    border?: string;
    borderRadius?: string;
    required?: boolean;
    isPlaceholderFloating?: boolean;
} & React.RefAttributes<HTMLInputElement>>;
