"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.IconPagination = void 0;
var _react = _interopRequireDefault(require("react"));
var _PaginationStyle = require("./PaginationStyle");
var _Icon = require("../Icon");
var IconPagination = /*#__PURE__*/_react["default"].forwardRef(function IconPagination(_ref, ref) {
  var label = _ref.label,
    disableNext = _ref.disableNext,
    disablePrevious = _ref.disablePrevious,
    onNext = _ref.onNext,
    onPrevious = _ref.onPrevious;
  return /*#__PURE__*/_react["default"].createElement(_PaginationStyle.IconPaginationStyledNav, {
    ref: ref
  }, /*#__PURE__*/_react["default"].createElement(_PaginationStyle.StyledBorderPaginationButton, {
    "data-testid": "previous-page",
    disabled: disablePrevious,
    onClick: onPrevious
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-arrow-m-left-line"
  })), label && /*#__PURE__*/_react["default"].createElement(_PaginationStyle.StyledLabel, null, label), /*#__PURE__*/_react["default"].createElement(_PaginationStyle.StyledBorderPaginationButton, {
    "data-testid": "next-page",
    disabled: disableNext,
    onClick: onNext
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-arrow-m-right-line"
  })));
});
exports.IconPagination = IconPagination;