"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.PageButton = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _Typography = require("../Typography");
var _PaginationStyle = require("./PaginationStyle");
var _excluded = ["value", "active", "children", "onClick"];
var PageButton = function PageButton(_ref) {
  var value = _ref.value,
    active = _ref.active,
    children = _ref.children,
    _onClick = _ref.onClick,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var content = children ? children : value;
  return /*#__PURE__*/_react["default"].createElement(_PaginationStyle.StyledPageButton, (0, _extends2["default"])({
    "data-active": active,
    onClick: function onClick() {
      return _onClick == null ? void 0 : _onClick(value);
    }
  }, props), /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "subtitle2"
  }, content));
};
exports.PageButton = PageButton;