import React from 'react';
export declare type PasswordInputProps = Omit<React.InputHTMLAttributes<HTMLInputElement>, 'type' | 'onChange'> & {
    onChange?: (value: string) => void;
    error?: boolean;
    height?: string;
    border?: string;
    borderRadius?: string;
    required?: boolean;
    isPlaceholderFloating?: boolean;
    floatingFontSize?: string;
    placeholderColor?: string;
    floatingPlaceholderTop?: number;
};
export declare const PasswordInput: React.ForwardRefExoticComponent<Omit<React.InputHTMLAttributes<HTMLInputElement>, "type" | "onChange"> & {
    onChange?: (value: string) => void;
    error?: boolean;
    height?: string;
    border?: string;
    borderRadius?: string;
    required?: boolean;
    isPlaceholderFloating?: boolean;
    floatingFontSize?: string;
    placeholderColor?: string;
    floatingPlaceholderTop?: number;
} & React.RefAttributes<HTMLInputElement>>;
