"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.RadioButtonWrapper = exports.RadioButtonInput = exports.LabelWrapper = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _ = require("..");
var _spacing = require("../utilities/spacing");
var _borderRadius = require("../utilities/borderRadius");
var RadioButtonWrapper = _styledComponents["default"].label.withConfig({
  displayName: "RadioButtonStyle__RadioButtonWrapper",
  componentId: "sc-138orlx-0"
})(["display:flex;align-items:flex-start;gap:", ";padding:", " 0;"], _spacing.space8, _spacing.space4);
exports.RadioButtonWrapper = RadioButtonWrapper;
var RadioButtonInput = _styledComponents["default"].input.withConfig({
  displayName: "RadioButtonStyle__RadioButtonInput",
  componentId: "sc-138orlx-1"
})(["cursor:pointer;appearance:none;margin:0;width:18px;height:18px;border:2px solid ", ";border-radius:", ";transform:translateY(1.5px);&::after{content:'';display:block;border-radius:", ";width:8px;height:8px;margin:3px;}@media (min-width:", "){width:22px;height:22px;transform:none;&::after{width:10px;height:10px;margin:", ";}}&:hover{border-color:", ";}&:focus-visible{box-shadow:0px 0px 0px 1px ", ",0px 0px 0px 3px ", ";outline:none;}&:disabled{cursor:not-allowed;background-color:", ";border-color:", ";}&:checked{border-color:", ";&::after{background-color:", ";}&:disabled{background-color:", ";border-color:", ";&::after{background-color:", ";}}}"], _.Colors.Neutral.B68, _borderRadius.borderRadiusHalf, _borderRadius.borderRadiusHalf, _.Breakpoints.large, _spacing.space4, _.Colors.Neutral.B68, _.Colors.Neutral.B100, _.Colors.Blue.S54, _.Colors.Neutral.B95, _.Colors.Neutral.B85, _.Colors.Blue.S99, _.Colors.Blue.S99, _.Colors.Neutral.B95, _.Colors.Neutral.B85, _.Colors.Neutral.B85);
exports.RadioButtonInput = RadioButtonInput;
var LabelWrapper = _styledComponents["default"].div.withConfig({
  displayName: "RadioButtonStyle__LabelWrapper",
  componentId: "sc-138orlx-2"
})(["cursor:pointer;display:flex;flex-direction:column;gap:", ";&[data-disabled='true']{span,div{color:", ";}cursor:not-allowed;}"], _spacing.space4, _.Colors.Neutral.B85);
exports.LabelWrapper = LabelWrapper;