/// <reference types="react" />
import { ActivatorSelectProps } from './ActivatorSelect';
export declare const StyledSelect: import("styled-components").StyledComponent<"button", any, ActivatorSelectProps, never>;
export declare const TagsContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledTag: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../../../Tag").TagProps & import("react").RefAttributes<HTMLDivElement>>, any, {}, never>;
export declare const StyledTextInput: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<Omit<import("../../../Input/Input").InputProps, "type" | "onChange"> & {
    canClear?: boolean;
    onChange?: (value: string) => void;
    height?: string;
    border?: string;
    borderRadius?: string;
    required?: boolean;
    isPlaceholderFloating?: boolean;
    floatingFontSize?: string;
    placeholderColor?: string;
    floatingPlaceholderTop?: number;
} & import("react").RefAttributes<HTMLInputElement>>, any, {}, never>;
export declare const StyledSelectTypography: import("styled-components").StyledComponent<({ as, children, variant, style, ...props }: import("../../../Typography").TypographyProps) => JSX.Element, any, {}, never>;
export declare const WithPrefixContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledPrefixContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledIcon: import("styled-components").StyledComponent<({ name, ...props }: import("../../../Icon").IconProps) => JSX.Element, any, {}, never>;
export declare const SuffixContainer: import("styled-components").StyledComponent<"div", any, {
    height?: string;
} & {
    height?: string;
} & {
    height?: string;
}, never>;
