"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledSelectedValue = exports.StyledSelected = exports.StyledContainer = exports.InputContainer = exports.ClearSelectedContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var Breakpoints = _interopRequireWildcard(require("../../../utilities/breakpoints"));
var _colors = require("../../../utilities/colors");
var _fonts = require("../../../utilities/fonts");
var _InputStyle = require("../../../Input/InputStyle");
var _borderRadius = require("../../../utilities/borderRadius");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var StyledContainer = (0, _styledComponents["default"])(_InputStyle.StyledContainer).withConfig({
  displayName: "SearchableSelectInputStyle__StyledContainer",
  componentId: "sc-1oj168h-0"
})(["position:relative;height:36px;width:", ";background:", ";box-shadow:0px 1px 0px rgba(0,0,0,0.05);box-sizing:border-box;display:grid;input{background:transparent;z-index:1;width:", ";}&:has(> div > input:focus) > .searchable-select{color:", ";}.searchable-select{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;}.searchable-select,input{padding-left:", "px;padding-right:", "px;height:", ";}&[data-error='true'] .searchable-select{border:1px solid ", ";}&[data-error='true'] .searchable-select:focus{box-shadow:none;}&[data-disabled='true'] .searchable-select{border:1px solid ", ";background:", ";color:", ";}"], function (props) {
  return props.width;
}, _colors.Neutral.B100, function (props) {
  return props.width;
}, _colors.Neutral.B40, function (props) {
  return props.prefixWidth;
}, function (props) {
  return props.suffixWidth;
}, function (props) {
  var _props$height;
  return (_props$height = props.height) != null ? _props$height : '36px';
}, _colors.Red.B93, _colors.Neutral.B85, _colors.Neutral.B95, _colors.Neutral.B85);
exports.StyledContainer = StyledContainer;
var StyledSelected = _styledComponents["default"].span.withConfig({
  displayName: "SearchableSelectInputStyle__StyledSelected",
  componentId: "sc-1oj168h-1"
})(["overflow:hidden;text-overflow:ellipsis;white-space:nowrap;"]);
exports.StyledSelected = StyledSelected;
var StyledSelectedValue = _styledComponents["default"].div.withConfig({
  displayName: "SearchableSelectInputStyle__StyledSelectedValue",
  componentId: "sc-1oj168h-2"
})(["border:", ";border-radius:", ";background:transparent;box-sizing:border-box;padding:0 12px;height:36px;display:flex;align-items:center;grid-column:1 / 1;grid-row:1 / 1;font-family:", ",sans-serif;font-style:normal;font-weight:400;font-size:16px;line-height:150%;color:", ";@media (max-width:", "){font-size:14px;}"], function (_ref) {
  var border = _ref.border;
  return border != null ? border : "1px solid " + _colors.Neutral.B68;
}, function (_ref2) {
  var borderRadius = _ref2.borderRadius;
  return borderRadius != null ? borderRadius : _borderRadius.borderRadius4;
}, _fonts.NotoSans, _colors.Neutral.B18, Breakpoints.large);
exports.StyledSelectedValue = StyledSelectedValue;
var InputContainer = _styledComponents["default"].div.withConfig({
  displayName: "SearchableSelectInputStyle__InputContainer",
  componentId: "sc-1oj168h-3"
})(["grid-column:1 / 1;grid-row:1 / 1;"]);
exports.InputContainer = InputContainer;
var ClearSelectedContainer = (0, _styledComponents["default"])(_InputStyle.StyledSuffixContainer).withConfig({
  displayName: "SearchableSelectInputStyle__ClearSelectedContainer",
  componentId: "sc-1oj168h-4"
})(["z-index:2;"]);
exports.ClearSelectedContainer = ClearSelectedContainer;