"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Spinner = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _Icon = require("../Icon");
var _SpinnerStyle = require("./SpinnerStyle");
var _excluded = ["label", "size"];
var _iconSizeMapping, _labelVariantMapping;
var iconSizeMapping = (_iconSizeMapping = {}, _iconSizeMapping['small'] = '18px', _iconSizeMapping['large'] = '48px', _iconSizeMapping);
var labelVariantMapping = (_labelVariantMapping = {}, _labelVariantMapping['small'] = 'body1', _labelVariantMapping['large'] = 'subtitle1', _labelVariantMapping);
var Spinner = function Spinner(_ref) {
  var label = _ref.label,
    size = _ref.size,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_SpinnerStyle.StyledWrapper, {
    className: "spinner-container"
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, (0, _extends2["default"])({
    name: "ri-loader",
    height: iconSizeMapping[size],
    width: iconSizeMapping[size]
  }, props)), label && /*#__PURE__*/_react["default"].createElement(_SpinnerStyle.Label, {
    variant: labelVariantMapping[size],
    "data-size": size
  }, label));
};
exports.Spinner = Spinner;