"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.TagStyle = exports.TagRemoveContainerStyle = exports.TagIconWrapper = exports.TagContentWrapper = exports.TagContentStyle = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _ = require("..");
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
var TagContentStyle = _styledComponents["default"].span.withConfig({
  displayName: "TagStyle__TagContentStyle",
  componentId: "sc-r1wv7a-0"
})(["display:inline-flex;padding:", ";white-space:nowrap;transform:translateY(1px);&[data-removeable='true']{padding-right:0;}"], _spacing.space4);
exports.TagContentStyle = TagContentStyle;
var TagContentWrapper = _styledComponents["default"].div.withConfig({
  displayName: "TagStyle__TagContentWrapper",
  componentId: "sc-r1wv7a-1"
})(["padding:0 ", ";"], _spacing.space4);
exports.TagContentWrapper = TagContentWrapper;
var TagRemoveContainerStyle = _styledComponents["default"].div.withConfig({
  displayName: "TagStyle__TagRemoveContainerStyle",
  componentId: "sc-r1wv7a-2"
})(["padding:", " ", " ", " 0;display:flex;.remove-button-icon{svg{width:20px;height:20px;}}@media (max-width:", "){.remove-button-icon{svg{width:18px;height:18px;}}}"], _spacing.space4, _spacing.space4, _spacing.space4, _.Breakpoints.large);
exports.TagRemoveContainerStyle = TagRemoveContainerStyle;
var TagIconWrapper = _styledComponents["default"].div.withConfig({
  displayName: "TagStyle__TagIconWrapper",
  componentId: "sc-r1wv7a-3"
})(["display:flex;justify-content:center;align-items:center;&:focus-visible{margin:-2px;outline:none;border:2px solid ", ";border-radius:", ";}"], _colors.Blue.S100, _borderRadius.borderRadius4);
exports.TagIconWrapper = TagIconWrapper;
var TagStyle = _styledComponents["default"].div.withConfig({
  displayName: "TagStyle",
  componentId: "sc-r1wv7a-4"
})(["display:inline-flex;align-items:center;background-color:", ";border:0;border-radius:", ";width:fit-content;padding:0;&:not([data-removeable='true']):not([data-clickable='true']){&[data-content-type='neutral']{background-color:", ";}&[data-content-type='success']{background-color:", ";}&[data-content-type='warning']{background-color:", ";}}&[data-clickable='true']{cursor:pointer;background-color:", ";&:hover{outline:1px solid ", "E6;}&:active{outline:1px solid ", ";}&:focus-visible{outline:1px solid ", ";box-shadow:0px 0px 0px 2px ", ",0px 0px 0px 4px ", ";}&[data-disabled='true']{cursor:not-allowed;outline:none;background-color:", ";&:focus-visible{outline:none;box-shadow:none;}}}& svg{padding:0;width:20px;height:20px;}& svg:hover{cursor:pointer;background-color:", ";border-radius:", ";}& svg:active{cursor:pointer;background-color:", ";fill:", ";border-radius:", ";}@media (max-width:", "){& svg{width:18px;height:18px;}}"], _colors.Blue.S08, _borderRadius.borderRadius4, _colors.Neutral.B95, _colors.Green.B89, _colors.Orange.S21, _colors.Blue.S08, _colors.Blue.S100, _colors.Blue.S100, _colors.Blue.S100, _colors.Neutral.B100, _colors.Blue.S54, _colors.Neutral.B95, _colors.Neutral.B95, _borderRadius.borderRadiusHalf, _colors.Neutral.B40, _colors.Neutral.B100, _borderRadius.borderRadiusHalf, _.Breakpoints.large);
exports.TagStyle = TagStyle;