import { FlattenSimpleInterpolation } from 'styled-components';
import { TypographyProps, Variant } from './Typography';
export declare const headline1: FlattenSimpleInterpolation;
export declare const headline2: FlattenSimpleInterpolation;
export declare const headline3: FlattenSimpleInterpolation;
export declare const headline4: FlattenSimpleInterpolation;
export declare const headline5: FlattenSimpleInterpolation;
export declare const headline6: FlattenSimpleInterpolation;
export declare const subtitle1: FlattenSimpleInterpolation;
export declare const subtitle2: FlattenSimpleInterpolation;
export declare const body1: FlattenSimpleInterpolation;
export declare const body2: FlattenSimpleInterpolation;
export declare const button: FlattenSimpleInterpolation;
export declare const caption: FlattenSimpleInterpolation;
export declare const overline: FlattenSimpleInterpolation;
export declare const variantCssMapping: {
    [variant in Variant]: FlattenSimpleInterpolation;
};
export declare const StyledTypography: import("styled-components").StyledComponent<"p", any, TypographyProps, never>;
