"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.boxArgTypes = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _Shadow = require("../../Utils/Shadow");
var _Spacing = require("../../Layout/Spacing");
var allSpacingProps = ['p', 'pl', 'pr', 'pt', 'pb', 'px', 'py', 'm', 'ml', 'mr', 'mt', 'mb', 'mx', 'my'];
var boxArgTypes = (0, _extends2["default"])({
  boxShadow: {
    control: {
      type: 'select',
      options: {
        'Example: Shadow.down4': _Shadow.Shadow.down4,
        'Example: Shadow.up4': _Shadow.Shadow.up4
      }
    },
    table: {
      type: {
        summary: 'import { Shadow } from "glints-aries"',
        detail: Object.keys(_Shadow.Shadow).map(function (key) {
          return "Shadow." + key;
        }).join(' | ')
      }
    }
  }
}, allSpacingProps.reduce(function (acc, propName) {
  acc[propName] = {
    table: {
      type: {
        summary: 'Spacing',
        detail: Object.values(_Spacing.Spacing).join(' | ') + " | 'auto' | Responsive Space Object"
      }
    }
  };
  return acc;
}, {}));
exports.boxArgTypes = boxArgTypes;