"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledFlex = exports.Flex = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var React = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box");
var _excluded = ["flexDirection", "justifyContent", "alignItems", "flexWrap", "gap"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var StyledFlex = (0, _styledComponents["default"])(_Box.Box).withConfig({
  displayName: "Flex__StyledFlex",
  componentId: "sc-11ryoct-0"
})(["display:flex;flex-direction:", ";justify-content:", ";align-items:", ";flex-wrap:", ";gap:", ";"], function (_ref) {
  var flexDirection = _ref.flexDirection;
  return flexDirection;
}, function (_ref2) {
  var justifyContent = _ref2.justifyContent;
  return justifyContent;
}, function (_ref3) {
  var alignItems = _ref3.alignItems;
  return alignItems;
}, function (_ref4) {
  var flexWrap = _ref4.flexWrap;
  return flexWrap;
}, function (_ref5) {
  var gap = _ref5.gap;
  return gap;
});
exports.StyledFlex = StyledFlex;
var Flex = function Flex(_ref6) {
  var _ref6$flexDirection = _ref6.flexDirection,
    flexDirection = _ref6$flexDirection === void 0 ? 'row' : _ref6$flexDirection,
    _ref6$justifyContent = _ref6.justifyContent,
    justifyContent = _ref6$justifyContent === void 0 ? 'flex-start' : _ref6$justifyContent,
    _ref6$alignItems = _ref6.alignItems,
    alignItems = _ref6$alignItems === void 0 ? 'stretch' : _ref6$alignItems,
    _ref6$flexWrap = _ref6.flexWrap,
    flexWrap = _ref6$flexWrap === void 0 ? 'nowrap' : _ref6$flexWrap,
    gap = _ref6.gap,
    restProps = (0, _objectWithoutPropertiesLoose2["default"])(_ref6, _excluded);
  return /*#__PURE__*/React.createElement(StyledFlex, (0, _extends2["default"])({
    flexDirection: flexDirection,
    justifyContent: justifyContent,
    alignItems: alignItems,
    flexWrap: flexWrap,
    gap: gap
  }, restProps));
};
exports.Flex = Flex;