"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.withModalProvider = exports.withGlintsPortalContainer = exports.withAlertProvider = void 0;
var _react = _interopRequireDefault(require("react"));
var _AlertProvider = require("../../@next/Alert/AlertProvider");
var _ModalProvider = require("../../@next/Modal/ModalProvider");
var withAlertProvider = function withAlertProvider(Story) {
  return /*#__PURE__*/_react["default"].createElement(_AlertProvider.AlertProvider, null, /*#__PURE__*/_react["default"].createElement(Story, null));
};
exports.withAlertProvider = withAlertProvider;
var withModalProvider = function withModalProvider(Story) {
  return /*#__PURE__*/_react["default"].createElement(_ModalProvider.ModalProvider, null, /*#__PURE__*/_react["default"].createElement(Story, null));
};
exports.withModalProvider = withModalProvider;
var withGlintsPortalContainer = function withGlintsPortalContainer(Story) {
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("div", {
    id: "glints-portal-container"
  }), /*#__PURE__*/_react["default"].createElement(Story, null));
};
exports.withGlintsPortalContainer = withGlintsPortalContainer;