"use strict";

exports.__esModule = true;
exports.getViewportDimensions = void 0;
var getViewportDimensions = function getViewportDimensions() {
  var width = Math.max(document.documentElement.clientWidth || 0, window.innerWidth || 0);
  var height = Math.max(document.documentElement.clientHeight || 0, window.innerHeight || 0);
  return {
    width: width,
    height: height
  };
};
exports.getViewportDimensions = getViewportDimensions;