import styled from 'styled-components';
import { borderRadius4 } from '../utilities/borderRadius';
import { Blue, Neutral } from '../utilities/colors';
import { space12, space16, space8 } from '../utilities/spacing';
import * as Breakpoints from '../utilities/breakpoints';
export var StyledActionListContainer = styled.div.withConfig({
  displayName: "ActionListStyle__StyledActionListContainer",
  componentId: "sc-2x4nd5-0"
})(["padding:", " 0;background:", ";color:", ";li{list-style-type:none;padding:0;margin:0;}"], space8, Neutral.B100, Neutral.B18);
export var StyledActionListSection = styled.div.withConfig({
  displayName: "ActionListStyle__StyledActionListSection",
  componentId: "sc-2x4nd5-1"
})(["padding:", " ", " ", ";color:", ";text-transform:uppercase;"], space12, space16, space8, Neutral.B40);
export var StyledActionListItemWrapper = styled.div.withConfig({
  displayName: "ActionListStyle__StyledActionListItemWrapper",
  componentId: "sc-2x4nd5-2"
})(["margin:0 ", ";cursor:pointer;&:hover{background:", ";border-radius:", ";}&:active{background:", ";border-radius:", ";}&&&{&:active{border:0;}}&:focus{outline:none;border:2px solid ", ";border-radius:", ";}&[data-disabled='true']{pointer-events:none;svg{fill:", ";}.action-item-content,.action-item-description{color:", ";}}"], space8, Neutral.B99, borderRadius4, Neutral.B95, borderRadius4, Blue.S54, borderRadius4, Neutral.B85, Neutral.B85);
export var StyledActionListItem = styled.div.withConfig({
  displayName: "ActionListStyle__StyledActionListItem",
  componentId: "sc-2x4nd5-3"
})(["display:flex;gap:", ";padding:", ";align-items:center;svg{height:24px;width:24px;fill:", ";}@media (max-width:", "){svg{height:20px;width:20px;}}"], space8, space8, Neutral.B40, Breakpoints.large);
export var StyledActionListItemDescription = styled.div.withConfig({
  displayName: "ActionListStyle__StyledActionListItemDescription",
  componentId: "sc-2x4nd5-4"
})(["padding:0 ", " ", ";margin-top:calc(", " * -1);align-items:center;"], space8, space8, space8);