import styled from 'styled-components';
import { borderRadius4 } from '../utilities/borderRadius';
import * as Breakpoints from '../utilities/breakpoints';
import { Green, Neutral, Blue, Orange, Red } from '../utilities/colors';
import { space12, space8 } from '../utilities/spacing';
export var StyledAlertContainer = styled.div.withConfig({
  displayName: "AlertStyle__StyledAlertContainer",
  componentId: "sc-1e5i2kj-0"
})(["position:fixed;top:", ";right:", ";display:flex;padding:", ";gap:", ";max-width:640px;width:fit-content;border-radius:", ";box-shadow:0px 8px 20px rgba(71,71,71,0.2),0px 3px 6px -3px rgba(71,71,71,0.08);animation:slide-from-right 400ms cubic-bezier(0.35,0.8,1,0.86);z-index:", ";color:", ";svg{display:block;height:24px;width:24px;}&[data-titled='true'] svg{margin-top:3px;}&[data-status='success']{background:", ";}&[data-status='success'] svg{fill:", ";}&[data-status='info']{background:", ";}&[data-status='info'] svg{fill:", ";}&[data-status='warning']{background:", ";}&[data-status='warning'] svg{fill:", ";}&[data-status='error']{background:", ";}&[data-status='error'] svg{fill:", ";}@media (max-width:", "){top:60px;&[data-titled='true']{margin-top:-1px;}&[data-titled='true'] svg{margin-top:0;}padding:", ";min-height:37px;}@media (max-width:480px){&[data-titled='true']{margin-top:-1px;}&[data-titled='true'] svg{margin-top:0;}max-width:calc(100vw - 48px);}@keyframes slide-from-right{0%{transform:translateX(50px);}50%{transform:translateX(0px);}75%{transform:translateX(-10px);}100%{transform:translateX(0px);}}"], function (props) {
  var _props$position;
  return (_props$position = props.position) != null && _props$position.top ? props.position.top : '90px';
}, function (props) {
  var _props$position2;
  return (_props$position2 = props.position) != null && _props$position2.right ? props.position.right : '24px';
}, space12, space8, borderRadius4, function (props) {
  return props.zIndex ? props.zIndex : 100;
}, Neutral.B18, Green.B89, Green.B61, Blue.S08, Blue.S99, Orange.S21, Orange.S86, Red.B100, Red.B93, Breakpoints.large, space8);
export var StyledAlertCloseIconContainer = styled.div.withConfig({
  displayName: "AlertStyle__StyledAlertCloseIconContainer",
  componentId: "sc-1e5i2kj-1"
})(["cursor:pointer;&&& svg{fill:", ";}"], Neutral.B40);
export var StyledAlertContentColumn = styled.div.withConfig({
  displayName: "AlertStyle__StyledAlertContentColumn",
  componentId: "sc-1e5i2kj-2"
})(["min-width:240px;max-width:560px;padding:0;@media (max-width:480px){min-width:unset;}"]);