import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["close", "onDismissed"],
  _excluded2 = ["show"];
import React from 'react';
import { Alert } from './Alert';
import { useAlert } from './useAlert';
export var AlertWithProvider = /*#__PURE__*/React.forwardRef(function AlertWithProvider(_, ref) {
  var _useAlert = useAlert(),
    close = _useAlert.close,
    _onDismissed = _useAlert.onDismissed,
    rest = _objectWithoutPropertiesLoose(_useAlert, _excluded);
  var show = rest.show,
    alertProps = _objectWithoutPropertiesLoose(rest, _excluded2);
  if (!show) {
    return null;
  }
  return /*#__PURE__*/React.createElement(Alert, _extends({
    ref: ref
  }, alertProps, {
    show: show,
    onDismissed: function onDismissed() {
      close();
      _onDismissed == null ? void 0 : _onDismissed();
    }
  }));
});