import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["index", "onChange", "value", "shouldFocus", "isLast", "onIndexChanged"];
import React, { useEffect, useRef } from 'react';
import { NumberInput } from '../NumberInput';
export var AuthenticationInputSingle = function AuthenticationInputSingle(_ref) {
  var index = _ref.index,
    _onChange = _ref.onChange,
    value = _ref.value,
    shouldFocus = _ref.shouldFocus,
    isLast = _ref.isLast,
    onIndexChanged = _ref.onIndexChanged,
    rest = _objectWithoutPropertiesLoose(_ref, _excluded);
  var ref = useRef(null);
  useEffect(function () {
    if (shouldFocus) {
      var _ref$current, _ref$current2;
      ref == null ? void 0 : (_ref$current = ref.current) == null ? void 0 : _ref$current.focus();
      ref == null ? void 0 : (_ref$current2 = ref.current) == null ? void 0 : _ref$current2.select();
    }
  }, [shouldFocus]);
  return /*#__PURE__*/React.createElement(NumberInput, _extends({}, rest, {
    maxLength: 1,
    onFocus: function onFocus(e) {
      e.currentTarget.select();
      onIndexChanged == null ? void 0 : onIndexChanged(index);
    },
    inputRef: ref,
    value: value,
    onChange: function onChange(e) {
      var currentValue = e.currentTarget.valueAsNumber;
      _onChange(currentValue, index);
      if (isLast && currentValue) {
        var _ref$current3;
        ref == null ? void 0 : (_ref$current3 = ref.current) == null ? void 0 : _ref$current3.blur();
      }
    },
    onKeyDown: function onKeyDown(e) {
      var allowedKeys = ['Backspace', 'Delete', ' ', 'Tab', 'Enter'];
      if (allowedKeys.includes(e.key) || e.metaKey || e.ctrlKey) {
        return;
      }
      var reg = new RegExp('^[0-9]$');
      if (!reg.test(e.key)) {
        e.preventDefault();
      }
    },
    onKeyUp: function onKeyUp(e) {
      if (e.key === 'Backspace') {
        onIndexChanged(index - 1);
      }
    }
  }));
};