import React from 'react';
declare const badgeStatusVariant: readonly ["neutral", "success", "successBright", "information", "warning", "critical", "promotion", "enticing", "attention", "primary", "branding"];
export declare type BadgeStatusVariant = (typeof badgeStatusVariant)[number];
export interface BadgeProps extends React.HTMLAttributes<HTMLDivElement> {
    children?: React.ReactNode;
    hasBorder?: boolean;
    status?: BadgeStatusVariant;
    textColor?: string;
}
export declare const Badge: React.ForwardRefExoticComponent<BadgeProps & React.RefAttributes<HTMLDivElement>>;
export {};
