import styled from 'styled-components';
import * as Breakpoints from '../utilities/breakpoints';
import { Blue, Green, Neutral, Orange, Red } from '../utilities/colors';
export var StyledFixedBanner = styled.div.withConfig({
  displayName: "FixedBannerStyle__StyledFixedBanner",
  componentId: "sc-1clh4a2-0"
})(["position:fixed;left:0;right:0;min-height:56px;display:flex;justify-content:center;align-items:center;padding-inline:48px;background:", ";color:", ";svg{position:static;fill:", ";height:24px;width:24px;margin-top:2px;}&[data-status='success']{background:", ";}&[data-status='info']{background:", ";}&[data-status='warning']{background:", ";}&[data-status='critical']{background:", ";}@media (max-width:", "){padding:16px;min-height:100px;justify-content:flex-start;align-items:flex-start;svg{margin-top:-2px;}&[data-nobutton='true']{min-height:52px;}}"], Neutral.B99, Neutral.B18, Neutral.B40, Green.B89, Blue.S08, Orange.S21, Red.B100, Breakpoints.large);
export var StyledFixedIconWrapper = styled.div.withConfig({
  displayName: "FixedBannerStyle__StyledFixedIconWrapper",
  componentId: "sc-1clh4a2-1"
})(["padding-right:12px;&[data-status='success'] svg{fill:", ";}&[data-status='info'] svg{fill:", ";}&[data-status='warning'] svg{fill:", ";}&[data-status='critical'] svg{fill:", ";}@media (max-width:", "){position:absolute;left:16px;top:16px;}"], Green.B61, Blue.S99, Orange.S87, Red.B93, Breakpoints.large);
export var StyledFixedBannerContentContainer = styled.div.withConfig({
  displayName: "FixedBannerStyle__StyledFixedBannerContentContainer",
  componentId: "sc-1clh4a2-2"
})(["padding-right:16px;@media (max-width:", "){padding-left:36px;padding-right:0px;&[data-dismissable='true']{padding-right:36px;}&[data-has-action='true']{padding-bottom:52px;}&:not([data-show-icon='true']){padding-left:0px;}}"], Breakpoints.large);
export var StyledFixedBannerButtonContainer = styled.div.withConfig({
  displayName: "FixedBannerStyle__StyledFixedBannerButtonContainer",
  componentId: "sc-1clh4a2-3"
})(["@media (max-width:", "){position:absolute;bottom:16px;left:52px;&:not([data-show-icon='true']){left:16px;}}"], Breakpoints.large);
export var StyledFixedCloseIconWrapper = styled.div.withConfig({
  displayName: "FixedBannerStyle__StyledFixedCloseIconWrapper",
  componentId: "sc-1clh4a2-4"
})(["cursor:pointer;position:absolute;color:", ";right:48px;padding-left:16px;svg{fill:", ";}@media (max-width:", "){top:16px;right:16px;}"], Neutral.B40, Neutral.B40, Breakpoints.large);