import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["segmented", "fullWidth", "isButtonWrapped"];
import React from 'react';
import { StyledButtonGroup } from './ButtonGroupStyle';
export var ButtonGroup = /*#__PURE__*/React.forwardRef(function ButtonGroup(_ref, ref) {
  var segmented = _ref.segmented,
    fullWidth = _ref.fullWidth,
    isButtonWrapped = _ref.isButtonWrapped,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/React.createElement(StyledButtonGroup, _extends({
    ref: ref,
    "data-segmented": segmented,
    "data-full-width": fullWidth,
    "data-button-wrapped": isButtonWrapped
  }, props));
});