import styled from 'styled-components';
import { subtitle2 } from '../Typography/TypographyStyles';
import { Neutral } from '../utilities/colors';
import { space4, space8 } from '../utilities/spacing';
import { Breakpoints } from '..';
var ANIMATION_DURATION = '200ms';
export var CollapseItemHeader = styled.div.withConfig({
  displayName: "CollapseItemStyle__CollapseItemHeader",
  componentId: "sc-1xlws99-0"
})(["display:flex;flex-direction:row;align-items:center;gap:", ";padding:", ";cursor:pointer;background-color:", ";border-bottom:1px solid ", ";svg{height:20px;width:20px;fill:", ";}&[data-disabled='true']{cursor:not-allowed;svg{fill:", ";}}@media (max-width:", "){svg{height:18px;width:18px;}}"], space4, space8, Neutral.B100, Neutral.B85, Neutral.B40, Neutral.B85, Breakpoints.large);
export var RightHeaderSection = styled.div.withConfig({
  displayName: "CollapseItemStyle__RightHeaderSection",
  componentId: "sc-1xlws99-1"
})(["display:flex;flex-direction:row;align-items:center;gap:", ";margin-left:auto;"], space4);
export var CollapseItemContent = styled.div.withConfig({
  displayName: "CollapseItemStyle__CollapseItemContent",
  componentId: "sc-1xlws99-2"
})(["display:grid;grid-template-rows:", ";transition:all ", " ease-in-out;opacity:", ";width:100%;background-color:", ";"], function (props) {
  return props.isCollapsed ? '0fr' : '1fr';
}, ANIMATION_DURATION, function (props) {
  return props.isCollapsed ? 0 : 1;
}, Neutral.B99);
export var CollapseContentWrapper = styled.div.withConfig({
  displayName: "CollapseItemStyle__CollapseContentWrapper",
  componentId: "sc-1xlws99-3"
})(["overflow:hidden;"]);
export var CollapseContent = styled.div.withConfig({
  displayName: "CollapseItemStyle__CollapseContent",
  componentId: "sc-1xlws99-4"
})(["padding:", ";border-bottom:1px solid ", ";", ""], space8, Neutral.B85, subtitle2);
export var IndicatorIconWrapper = styled.div.withConfig({
  displayName: "CollapseItemStyle__IndicatorIconWrapper",
  componentId: "sc-1xlws99-5"
})(["display:flex;flex-direction:row;align-items:center;svg{transform:rotate(", ");transition:transform ", " ease-in-out;}&[data-anticlockwise='true']{svg{transform:rotate(", ");}}"], function (props) {
  return props.isCollapsed ? '0deg' : '90deg';
}, ANIMATION_DURATION, function (props) {
  return props.isCollapsed ? '0deg' : '-90deg';
});