import React from 'react';
export declare type OptionType = {
    label: string;
    value: string;
};
export interface OptionProps extends OptionType {
    selected?: boolean;
}
export interface NoOptionListProps {
    noOptionsMessage?: React.ReactNode;
}
export declare const Option: ({ label, value, selected }: OptionProps) => JSX.Element;
export declare const NoOptionList: ({ noOptionsMessage, }: NoOptionListProps) => JSX.Element;
