import styled from 'styled-components';
import { Breakpoints } from '..';
import { ButtonGroup } from '../ButtonGroup';
import { Typography } from '../Typography';
import { space16, space24, space40 } from '../utilities/spacing';
export var EmptyStateContainer = styled.div.withConfig({
  displayName: "EmptyStateStyle__EmptyStateContainer",
  componentId: "sc-2vyeka-0"
})(["display:flex;flex-direction:column;align-items:center;padding:", " 0 60px;"], space40);
export var EmptyStateContentContainer = styled.div.withConfig({
  displayName: "EmptyStateStyle__EmptyStateContentContainer",
  componentId: "sc-2vyeka-1"
})(["display:flex;flex-direction:column;width:100%;align-items:center;margin:", " 20px 20px;&[data-full-width='false']{max-width:400px;margin:", " 0px 0px;@media (max-width:", "){max-width:288px;}}"], space24, space24, Breakpoints.large);
export var StyledImage = styled.img.withConfig({
  displayName: "EmptyStateStyle__StyledImage",
  componentId: "sc-2vyeka-2"
})(["height:200px;width:200px;"]);
export var StyledButtonGroup = styled(ButtonGroup).withConfig({
  displayName: "EmptyStateStyle__StyledButtonGroup",
  componentId: "sc-2vyeka-3"
})(["margin-bottom:", ";"], space16);
export var StyledTitle = styled(Typography).withConfig({
  displayName: "EmptyStateStyle__StyledTitle",
  componentId: "sc-2vyeka-4"
})(["text-align:center;margin:0 0 ", ";"], space16);
export var StyledDescription = styled(Typography).withConfig({
  displayName: "EmptyStateStyle__StyledDescription",
  componentId: "sc-2vyeka-5"
})(["text-align:center;margin:0 0 ", ";"], space24);
export var StyledHelpText = styled(Typography).withConfig({
  displayName: "EmptyStateStyle__StyledHelpText",
  componentId: "sc-2vyeka-6"
})(["text-align:center;margin:0;"]);