import React from 'react';
import { Spinner } from '../../../Spinner';
import { Blue, Neutral } from '../../../utilities/colors';
import { LoadingStateContainer, SpinnerContainer } from './LoadingStateStyle';
import { Typography } from '../../../Typography';
export var LoadingState = function LoadingState(_ref) {
  var colSpan = _ref.colSpan,
    label = _ref.label;
  return /*#__PURE__*/React.createElement(LoadingStateContainer, {
    colSpan: colSpan + 1
  }, /*#__PURE__*/React.createElement(SpinnerContainer, null, /*#__PURE__*/React.createElement(Spinner, {
    height: 48,
    width: 48,
    fill: Blue.S99
  }), /*#__PURE__*/React.createElement(Typography, {
    variant: "subtitle1",
    color: Neutral.B18
  }, label)));
};