import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["children", "external", "monochrome", "removeUnderline", "url"];
import React from 'react';
import { Icon } from '../Icon';
import { Typography } from '../Typography';
import { StyledLink } from './LinkStyle';
export var Link = function Link(_ref) {
  var children = _ref.children,
    _ref$external = _ref.external,
    external = _ref$external === void 0 ? false : _ref$external,
    _ref$monochrome = _ref.monochrome,
    monochrome = _ref$monochrome === void 0 ? false : _ref$monochrome,
    _ref$removeUnderline = _ref.removeUnderline,
    removeUnderline = _ref$removeUnderline === void 0 ? false : _ref$removeUnderline,
    url = _ref.url,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/React.createElement(StyledLink, _extends({
    href: url,
    "data-underline": !removeUnderline,
    "data-monochrome": monochrome
  }, external && {
    target: '_blank'
  }, {
    external: external
  }, props), /*#__PURE__*/React.createElement(Typography, {
    variant: "body1",
    as: "span"
  }, children), external && /*#__PURE__*/React.createElement(Icon, {
    name: "ri-external-link-line"
  }));
};