import styled from 'styled-components';
import { borderRadius4 } from '../utilities/borderRadius';
import { Blue, Neutral } from '../utilities/colors';
import { space16, space4, space8 } from '../utilities/spacing';
export var StyledMenu = styled.ul.withConfig({
  displayName: "MenuStyle__StyledMenu",
  componentId: "sc-zm0l1a-0"
})(["list-style:none;padding:0;margin:0;li{display:flex;min-height:44px;position:relative;align-items:center;padding:0 ", ";margin-bottom:", ";svg{height:24px;width:24px;}&:hover{background:", ";border-radius:", ";cursor:pointer;}&:focus{outline:none;background:rgba(255,255,255,0.001);border:2px solid ", ";border-radius:", ";}&[aria-disabled='true']{cursor:default;pointer-events:none;span{color:", ";}}&[data-active='true']{background:", ";border-radius:", ";cursor:default;::before{content:'';display:block;position:absolute;top:0;left:-", ";height:44px;width:3px;background-color:", ";border-radius:0px 4px 4px 0px;}&[data-multiple='true']{background:", ";::before{content:none;}}}}"], space8, space4, Neutral.B99, borderRadius4, Blue.S54, space4, Neutral.B85, Blue.S08, borderRadius4, space8, Blue.S99, Neutral.B100);
export var TitleContainer = styled.div.withConfig({
  displayName: "MenuStyle__TitleContainer",
  componentId: "sc-zm0l1a-1"
})(["margin:", " 0 ", ";padding:", " ", ";span{text-transform:uppercase;}"], space8, space4, space8, space16);
export var ListContainer = styled.div.withConfig({
  displayName: "MenuStyle__ListContainer",
  componentId: "sc-zm0l1a-2"
})(["padding:0 ", ";"], space8);
export var List = styled.li.withConfig({
  displayName: "MenuStyle__List",
  componentId: "sc-zm0l1a-3"
})(["height:max-content;span{overflow:hidden;width:100%;}"]);
export var StyledSections = styled.ul.withConfig({
  displayName: "MenuStyle__StyledSections",
  componentId: "sc-zm0l1a-4"
})(["list-style:none;padding:0;margin:", " 0;"], space8);