import React from 'react';
import { List, ListContainer } from '../MenuStyle';
export var MenuOption = function MenuOption(_ref) {
  var children = _ref.children,
    disabled = _ref.disabled,
    isSelected = _ref.isSelected,
    onClick = _ref.onClick,
    value = _ref.value,
    allowMultiple = _ref.allowMultiple;
  var handleClick = function handleClick(event) {
    event.stopPropagation();
    onClick({
      value: event.currentTarget.dataset.value
    });
  };
  return /*#__PURE__*/React.createElement(ListContainer, null, /*#__PURE__*/React.createElement(List, {
    "aria-disabled": disabled,
    "data-active": isSelected,
    "data-multiple": allowMultiple,
    "data-value": value,
    onClick: handleClick
  }, children));
};