import _extends from "@babel/runtime/helpers/extends";
import React, { useState } from 'react';
import { ModalContext } from './ModalContext';
export var ModalProvider = function ModalProvider(_ref) {
  var children = _ref.children;
  var _useState = useState({
      isOpen: false
    }),
    state = _useState[0],
    setState = _useState[1];
  var open = function open(props) {
    return setState(_extends({}, props, {
      isOpen: true
    }));
  };
  var close = function close() {
    return setState({
      isOpen: false
    });
  };
  var modalContextValue = _extends({}, state, {
    open: open,
    close: close
  });
  return /*#__PURE__*/React.createElement(ModalContext.Provider, {
    value: modalContextValue
  }, children);
};