import { useContext } from 'react';
import { ModalContext } from './ModalContext';
export var useModal = function useModal() {
  var context = useContext(ModalContext);
  if (!context) {
    throw new Error('No ModalContext was provided via "ModalProvider", to use this hook you must provide them in your app root.');
  }
  return context;
};