import React from 'react';
import { IconPaginationStyledNav, StyledBorderPaginationButton, StyledLabel } from './PaginationStyle';
import { Icon } from '../Icon';
export var IconPagination = /*#__PURE__*/React.forwardRef(function IconPagination(_ref, ref) {
  var label = _ref.label,
    disableNext = _ref.disableNext,
    disablePrevious = _ref.disablePrevious,
    onNext = _ref.onNext,
    onPrevious = _ref.onPrevious;
  return /*#__PURE__*/React.createElement(IconPaginationStyledNav, {
    ref: ref
  }, /*#__PURE__*/React.createElement(StyledBorderPaginationButton, {
    "data-testid": "previous-page",
    disabled: disablePrevious,
    onClick: onPrevious
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "ri-arrow-m-left-line"
  })), label && /*#__PURE__*/React.createElement(StyledLabel, null, label), /*#__PURE__*/React.createElement(StyledBorderPaginationButton, {
    "data-testid": "next-page",
    disabled: disableNext,
    onClick: onNext
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "ri-arrow-m-right-line"
  })));
});