import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["value", "active", "children", "onClick"];
import React from 'react';
import { Typography } from '../Typography';
import { StyledPageButton } from './PaginationStyle';
export var PageButton = function PageButton(_ref) {
  var value = _ref.value,
    active = _ref.active,
    children = _ref.children,
    _onClick = _ref.onClick,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var content = children ? children : value;
  return /*#__PURE__*/React.createElement(StyledPageButton, _extends({
    "data-active": active,
    onClick: function onClick() {
      return _onClick == null ? void 0 : _onClick(value);
    }
  }, props), /*#__PURE__*/React.createElement(Typography, {
    as: "div",
    variant: "subtitle2"
  }, content));
};