export var defaultPageSize = 10;
export var defaultBufferSize = 2;
export var getAllPages = function getAllPages(pageSize, total) {
  if (pageSize < 1) {
    console.warn('pageSize must be above 0');
    return 0;
  }
  return Math.ceil(total / pageSize);
};
export var getBufferSize = function getBufferSize(bufferSize, allPages) {
  var min = 0;
  var max = Math.floor(allPages / 2) - 1;
  var newBufferSize = Math.max(bufferSize, min);
  return Math.min(newBufferSize, max);
};