import { createPortal } from 'react-dom';
export var Portal = function Portal(_ref) {
  var children = _ref.children;
  var container = document.getElementById('glints-portal-container');
  if (!container) {
    throw new Error("Portal component requires div with id \"glints-portal-container\" as container, \n      please add it as a sibling to where your react app is rendered!");
  }
  return /*#__PURE__*/createPortal(children, container);
};