import styled from 'styled-components';
import { Breakpoints, Colors } from '..';
import { space4, space8 } from '../utilities/spacing';
import { borderRadiusHalf } from '../utilities/borderRadius';
export var RadioButtonWrapper = styled.label.withConfig({
  displayName: "RadioButtonStyle__RadioButtonWrapper",
  componentId: "sc-138orlx-0"
})(["display:flex;align-items:flex-start;gap:", ";padding:", " 0;"], space8, space4);
export var RadioButtonInput = styled.input.withConfig({
  displayName: "RadioButtonStyle__RadioButtonInput",
  componentId: "sc-138orlx-1"
})(["cursor:pointer;appearance:none;margin:0;width:18px;height:18px;border:2px solid ", ";border-radius:", ";transform:translateY(1.5px);&::after{content:'';display:block;border-radius:", ";width:8px;height:8px;margin:3px;}@media (min-width:", "){width:22px;height:22px;transform:none;&::after{width:10px;height:10px;margin:", ";}}&:hover{border-color:", ";}&:focus-visible{box-shadow:0px 0px 0px 1px ", ",0px 0px 0px 3px ", ";outline:none;}&:disabled{cursor:not-allowed;background-color:", ";border-color:", ";}&:checked{border-color:", ";&::after{background-color:", ";}&:disabled{background-color:", ";border-color:", ";&::after{background-color:", ";}}}"], Colors.Neutral.B68, borderRadiusHalf, borderRadiusHalf, Breakpoints.large, space4, Colors.Neutral.B68, Colors.Neutral.B100, Colors.Blue.S54, Colors.Neutral.B95, Colors.Neutral.B85, Colors.Blue.S99, Colors.Blue.S99, Colors.Neutral.B95, Colors.Neutral.B85, Colors.Neutral.B85);
export var LabelWrapper = styled.div.withConfig({
  displayName: "RadioButtonStyle__LabelWrapper",
  componentId: "sc-138orlx-2"
})(["cursor:pointer;display:flex;flex-direction:column;gap:", ";&[data-disabled='true']{span,div{color:", ";}cursor:not-allowed;}"], space4, Colors.Neutral.B85);