import styled from 'styled-components';
import { Neutral } from '../utilities/colors';
import * as Breakpoints from '../utilities/breakpoints';
export var StyledSideSheetWrapper = styled.div.withConfig({
  displayName: "SideSheetStyle__StyledSideSheetWrapper",
  componentId: "sc-z0rzf0-0"
})(["position:fixed;inset:0;background-color:rgba(45,45,45,0.5);display:flex;align-items:center;justify-content:center;overflow:hidden;z-index:999;animation:ga-fade-in2 0.2s;&.closed{animation:ga-fade-out2 0.2s;}@keyframes ga-fade-in2{0%{opacity:0;}100%{opacity:1;}}@keyframes ga-fade-out2{0%{opacity:1;}100%{opacity:0;}}"]);
export var StyledSideSheetContainer = styled.div.withConfig({
  displayName: "SideSheetStyle__StyledSideSheetContainer",
  componentId: "sc-z0rzf0-1"
})(["position:absolute;display:flex;flex-direction:column;width:480px;height:100vh;background:", ";box-shadow:0px 26px 80px rgba(0,0,0,0.2),0px 0px 1px rgba(0,0,0,0.2);overflow:hidden;animation:ga-slide-in 0.2s;top:0;right:0;&.closed{animation:ga-slide-out 0.2s;}@keyframes ga-slide-in{0%{opacity:0;transform:translateX(100%);}100%{opacity:1;}}@keyframes ga-slide-out{0%{opacity:0;}100%{opacity:1;transform:translateX(100%);}}@media (max-width:", "){width:100vw;}"], Neutral.B100, Breakpoints.large);
export var StyledSideSheetHeader = styled.div.withConfig({
  displayName: "SideSheetStyle__StyledSideSheetHeader",
  componentId: "sc-z0rzf0-2"
})(["display:flex;align-items:top;padding:16px 20px;gap:8px;"]);
export var StyledButtonContainer = styled.div.withConfig({
  displayName: "SideSheetStyle__StyledButtonContainer",
  componentId: "sc-z0rzf0-3"
})(["cursor:pointer;margin-top:3px;svg{width:24px;fill:", ";}"], Neutral.B40);
export var StyledRightContainer = styled.div.withConfig({
  displayName: "SideSheetStyle__StyledRightContainer",
  componentId: "sc-z0rzf0-4"
})(["margin-left:auto;display:flex;align-items:top;"]);
export var StyledHorizontalLine = styled.hr.withConfig({
  displayName: "SideSheetStyle__StyledHorizontalLine",
  componentId: "sc-z0rzf0-5"
})(["height:1px;background-color:", ";margin:0px 0px;border:none;"], Neutral.B95);
export var StyledSideSheetFooter = styled.div.withConfig({
  displayName: "SideSheetStyle__StyledSideSheetFooter",
  componentId: "sc-z0rzf0-6"
})(["margin-top:auto;"]);
export var StyledButtonGroupContainer = styled.div.withConfig({
  displayName: "SideSheetStyle__StyledButtonGroupContainer",
  componentId: "sc-z0rzf0-7"
})(["margin:16px 20px;"]);
export var SideSheetContent = styled.div.withConfig({
  displayName: "SideSheetStyle__SideSheetContent",
  componentId: "sc-z0rzf0-8"
})(["overflow-y:scroll;"]);