import React from 'react';
export interface SwitchProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, 'onChange'> {
    checked?: boolean;
    disabled?: boolean;
    onChange: () => void;
    value: string;
    withIcon?: boolean;
    checkedText?: string;
    uncheckedText?: string;
    checkedBackgroundColor?: string;
}
export declare const Switch: React.ForwardRefExoticComponent<SwitchProps & React.RefAttributes<HTMLInputElement>>;
