import styled from 'styled-components';
import { Breakpoints } from '..';
import { borderRadius4, borderRadiusHalf } from '../utilities/borderRadius';
import { Blue, Green, Orange, Neutral } from '../utilities/colors';
import { space4 } from '../utilities/spacing';
export var TagContentStyle = styled.span.withConfig({
  displayName: "TagStyle__TagContentStyle",
  componentId: "sc-r1wv7a-0"
})(["display:inline-flex;padding:", ";white-space:nowrap;transform:translateY(1px);&[data-removeable='true']{padding-right:0;}"], space4);
export var TagContentWrapper = styled.div.withConfig({
  displayName: "TagStyle__TagContentWrapper",
  componentId: "sc-r1wv7a-1"
})(["padding:0 ", ";"], space4);
export var TagRemoveContainerStyle = styled.div.withConfig({
  displayName: "TagStyle__TagRemoveContainerStyle",
  componentId: "sc-r1wv7a-2"
})(["padding:", " ", " ", " 0;display:flex;.remove-button-icon{svg{width:20px;height:20px;}}@media (max-width:", "){.remove-button-icon{svg{width:18px;height:18px;}}}"], space4, space4, space4, Breakpoints.large);
export var TagIconWrapper = styled.div.withConfig({
  displayName: "TagStyle__TagIconWrapper",
  componentId: "sc-r1wv7a-3"
})(["display:flex;justify-content:center;align-items:center;&:focus-visible{margin:-2px;outline:none;border:2px solid ", ";border-radius:", ";}"], Blue.S100, borderRadius4);
export var TagStyle = styled.div.withConfig({
  displayName: "TagStyle",
  componentId: "sc-r1wv7a-4"
})(["display:inline-flex;align-items:center;background-color:", ";border:0;border-radius:", ";width:fit-content;padding:0;&:not([data-removeable='true']):not([data-clickable='true']){&[data-content-type='neutral']{background-color:", ";}&[data-content-type='success']{background-color:", ";}&[data-content-type='warning']{background-color:", ";}}&[data-clickable='true']{cursor:pointer;background-color:", ";&:hover{outline:1px solid ", "E6;}&:active{outline:1px solid ", ";}&:focus-visible{outline:1px solid ", ";box-shadow:0px 0px 0px 2px ", ",0px 0px 0px 4px ", ";}&[data-disabled='true']{cursor:not-allowed;outline:none;background-color:", ";&:focus-visible{outline:none;box-shadow:none;}}}& svg{padding:0;width:20px;height:20px;}& svg:hover{cursor:pointer;background-color:", ";border-radius:", ";}& svg:active{cursor:pointer;background-color:", ";fill:", ";border-radius:", ";}@media (max-width:", "){& svg{width:18px;height:18px;}}"], Blue.S08, borderRadius4, Neutral.B95, Green.B89, Orange.S21, Blue.S08, Blue.S100, Blue.S100, Blue.S100, Neutral.B100, Blue.S54, Neutral.B95, Neutral.B95, borderRadiusHalf, Neutral.B40, Neutral.B100, borderRadiusHalf, Breakpoints.large);