import * as React from 'react';
declare const imageGallerySize: readonly ["small", "regular", "large"];
export declare type Size = (typeof imageGallerySize)[number];
export declare const imageSizeMapping: {
    small: string;
    regular: string;
    large: string;
};
declare const Gallery: ({ initialVisibility, children, imagesDisplayed, imageSize, }: GalleryProps) => JSX.Element;
export interface GalleryProps {
    children?: React.ReactNode;
    /** How many thumbnails the (unopened) gallery should show */
    imagesDisplayed?: number;
    /** If true, the Gallery will open itself on mount */
    initialVisibility?: boolean;
    imageSize?: Size;
}
export default Gallery;
