import _extends from "@babel/runtime/helpers/extends";
import { Shadow } from '../../Utils/Shadow';
import { Spacing } from '../../Layout/Spacing';
var allSpacingProps = ['p', 'pl', 'pr', 'pt', 'pb', 'px', 'py', 'm', 'ml', 'mr', 'mt', 'mb', 'mx', 'my'];
export var boxArgTypes = _extends({
  boxShadow: {
    control: {
      type: 'select',
      options: {
        'Example: Shadow.down4': Shadow.down4,
        'Example: Shadow.up4': Shadow.up4
      }
    },
    table: {
      type: {
        summary: 'import { Shadow } from "glints-aries"',
        detail: Object.keys(Shadow).map(function (key) {
          return "Shadow." + key;
        }).join(' | ')
      }
    }
  }
}, allSpacingProps.reduce(function (acc, propName) {
  acc[propName] = {
    table: {
      type: {
        summary: 'Spacing',
        detail: Object.values(Spacing).join(' | ') + " | 'auto' | Responsive Space Object"
      }
    }
  };
  return acc;
}, {}));