import React from 'react';
export declare type AlertProps = {
    title?: string;
    status?: 'success' | 'info' | 'warning' | 'error';
    content?: React.ReactNode;
    children?: React.ReactNode;
    show?: boolean;
    /** Duration of alert in miliseconds */
    duration?: number;
    zIndex?: number;
    position?: {
        top?: string;
        right?: string;
    };
    onDismissed?: () => void;
};
export declare const Alert: React.ForwardRefExoticComponent<AlertProps & React.RefAttributes<HTMLDivElement>>;
