/// <reference types="react" />
import { ComponentWithProviderProps } from '../../types/componentWithProvider';
import { AlertProps } from './Alert';
export declare type ShowAlertProps = Omit<AlertProps, 'show'>;
export declare type AlertContextProps = AlertProps & ComponentWithProviderProps<ShowAlertProps>;
export declare const AlertContext: import("react").Context<AlertContextProps>;
