"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.AlertProvider = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _AlertContext = require("./AlertContext");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var AlertProvider = function AlertProvider(_ref) {
  var children = _ref.children;
  var _useState = (0, _react.useState)({
      show: false
    }),
    state = _useState[0],
    setState = _useState[1];
  var open = (0, _react.useCallback)(function (props) {
    return setState((0, _extends2["default"])({}, props, {
      show: true
    }));
  }, [setState]);
  var close = (0, _react.useCallback)(function () {
    return setState({
      show: false
    });
  }, [setState]);
  var alertContextValue = (0, _extends2["default"])({}, state, {
    open: open,
    close: close
  });
  return /*#__PURE__*/_react["default"].createElement(_AlertContext.AlertContext.Provider, {
    value: alertContextValue
  }, children);
};
exports.AlertProvider = AlertProvider;