"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.AlertWithProvider = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _Alert = require("./Alert");
var _useAlert2 = require("./useAlert");
var _excluded = ["close", "onDismissed"],
  _excluded2 = ["show"];
var AlertWithProvider = /*#__PURE__*/_react["default"].forwardRef(function AlertWithProvider(_, ref) {
  var _useAlert = (0, _useAlert2.useAlert)(),
    close = _useAlert.close,
    _onDismissed = _useAlert.onDismissed,
    rest = (0, _objectWithoutPropertiesLoose2["default"])(_useAlert, _excluded);
  var show = rest.show,
    alertProps = (0, _objectWithoutPropertiesLoose2["default"])(rest, _excluded2);
  if (!show) {
    return null;
  }
  return /*#__PURE__*/_react["default"].createElement(_Alert.Alert, (0, _extends2["default"])({
    ref: ref
  }, alertProps, {
    show: show,
    onDismissed: function onDismissed() {
      close();
      _onDismissed == null ? void 0 : _onDismissed();
    }
  }));
});
exports.AlertWithProvider = AlertWithProvider;