"use strict";

exports.__esModule = true;
exports.useAlert = void 0;
var _react = require("react");
var _AlertContext = require("./AlertContext");
var useAlert = function useAlert() {
  var context = (0, _react.useContext)(_AlertContext.AlertContext);
  if (!context) {
    throw new Error('No AlertContext was provided via "AlertProvider", to use this hooks you must provide them in your app root.');
  }
  return context;
};
exports.useAlert = useAlert;