"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.DestructiveButton = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _colors = require("../utilities/colors");
var _dropShadow = require("../utilities/dropShadow");
var _Button = require("./Button");
var DestructiveButton = (0, _styledComponents["default"])(_Button.Button).withConfig({
  displayName: "DesctructiveButtonStyle__DestructiveButton",
  componentId: "sc-1erj0cn-0"
})(["color:", ";background:", ";border:none;&:hover{background:", ";box-shadow:0px 1px 0px rgba(0,0,0,0.08),inset 0px -1px 0px rgba(0,0,0,0.2);}&:focus{box-shadow:0px 0px 0px 2px rgba(69,143,255,1);}&:active{background:", ";box-shadow:", ";}&[data-loading='true']{background:", ";}"], _colors.Neutral.B100, _colors.Red.B93, _colors.Red.B74, _colors.Red.B65, _dropShadow.insetButtonPressed, _colors.Neutral.B95);
exports.DestructiveButton = DestructiveButton;