"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.ButtonGroup = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _ButtonGroupStyle = require("./ButtonGroupStyle");
var _excluded = ["segmented", "fullWidth", "isButtonWrapped"];
var ButtonGroup = /*#__PURE__*/_react["default"].forwardRef(function ButtonGroup(_ref, ref) {
  var segmented = _ref.segmented,
    fullWidth = _ref.fullWidth,
    isButtonWrapped = _ref.isButtonWrapped,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_ButtonGroupStyle.StyledButtonGroup, (0, _extends2["default"])({
    ref: ref,
    "data-segmented": segmented,
    "data-full-width": fullWidth,
    "data-button-wrapped": isButtonWrapped
  }, props));
});
exports.ButtonGroup = ButtonGroup;