"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledCustomHeader = exports.StyledCardSection = exports.StyledCardHeaderWrapper = exports.StyledCardHeaderSectionHalf = exports.StyledCardHeaderSection = exports.StyledCardHeaderRightContainer = exports.StyledCardHeaderLeftContainer = exports.StyledCardContentWrapper = exports.StyledCardContainer = exports.StyledCardActionWrapper = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var Breakpoints = _interopRequireWildcard(require("../utilities/breakpoints"));
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var StyledCardContainer = _styledComponents["default"].div.withConfig({
  displayName: "CardStyle__StyledCardContainer",
  componentId: "sc-tpku8j-0"
})(["border-radius:", ";box-shadow:0px 0px 5px 0px rgba(71,71,71,0.1),0px 1px 2px 0px rgba(71,71,71,0.2);color:", ";background-color:", ";"], _borderRadius.borderRadius8, _colors.Neutral.B18, _colors.Neutral.B100);
exports.StyledCardContainer = StyledCardContainer;
var StyledCardHeaderWrapper = _styledComponents["default"].div.withConfig({
  displayName: "CardStyle__StyledCardHeaderWrapper",
  componentId: "sc-tpku8j-1"
})(["display:flex;padding:", " ", " 20px;flex-wrap:nowrap;flex-direction:row;height:max-content;border-bottom:solid 1px ", ";@media (max-width:", "){padding:", " ", " 10px;}"], _spacing.space24, _spacing.space24, _colors.Neutral.B85, Breakpoints.large, _spacing.space12, _spacing.space16);
exports.StyledCardHeaderWrapper = StyledCardHeaderWrapper;
var StyledCardHeaderSection = _styledComponents["default"].div.withConfig({
  displayName: "CardStyle__StyledCardHeaderSection",
  componentId: "sc-tpku8j-2"
})(["flex:0 0 100%;display:flex;flex-direction:row;align-items:center;"]);
exports.StyledCardHeaderSection = StyledCardHeaderSection;
var StyledCardHeaderSectionHalf = _styledComponents["default"].div.withConfig({
  displayName: "CardStyle__StyledCardHeaderSectionHalf",
  componentId: "sc-tpku8j-3"
})(["flex:0 0 50%;"]);
exports.StyledCardHeaderSectionHalf = StyledCardHeaderSectionHalf;
var StyledCardContentWrapper = _styledComponents["default"].div.withConfig({
  displayName: "CardStyle__StyledCardContentWrapper",
  componentId: "sc-tpku8j-4"
})(["padding-bottom:", ";@media (max-width:", "){padding-bottom:0px;}&[data-actions='true']{padding-bottom:0px;}"], _spacing.space4, Breakpoints.large);
exports.StyledCardContentWrapper = StyledCardContentWrapper;
var StyledCardSection = _styledComponents["default"].div.withConfig({
  displayName: "CardStyle__StyledCardSection",
  componentId: "sc-tpku8j-5"
})(["padding:20px ", ";.section{padding:", " ", ";&:last-child{padding-bottom:0;}}.section + .section{border-top:solid 1px ", ";}@media (max-width:", "){padding:", " ", ";.section{padding:", " ", ";}}"], _spacing.space24, _spacing.space16, _spacing.space24, _colors.Neutral.B85, Breakpoints.large, _spacing.space12, _spacing.space16, _spacing.space12, _spacing.space16);
exports.StyledCardSection = StyledCardSection;
var StyledCardActionWrapper = _styledComponents["default"].div.withConfig({
  displayName: "CardStyle__StyledCardActionWrapper",
  componentId: "sc-tpku8j-6"
})(["display:flex;padding:20px ", " ", ";flex-direction:column-reverse;align-items:flex-end;border-top:solid 1px ", ";&[data-align='left']{flex-direction:column;align-items:flex-start;}@media (max-width:", "){padding:10px ", " ", ";}"], _spacing.space24, _spacing.space24, _colors.Neutral.B85, Breakpoints.large, _spacing.space16, _spacing.space12);
exports.StyledCardActionWrapper = StyledCardActionWrapper;
var StyledCustomHeader = _styledComponents["default"].div.withConfig({
  displayName: "CardStyle__StyledCustomHeader",
  componentId: "sc-tpku8j-7"
})(["& > *{margin:0;}"]);
exports.StyledCustomHeader = StyledCustomHeader;
var StyledCardHeaderLeftContainer = _styledComponents["default"].div.withConfig({
  displayName: "CardStyle__StyledCardHeaderLeftContainer",
  componentId: "sc-tpku8j-8"
})(["flex:1;flex-direction:column;display:flex;align-items:flex-start;"]);
exports.StyledCardHeaderLeftContainer = StyledCardHeaderLeftContainer;
var StyledCardHeaderRightContainer = _styledComponents["default"].div.withConfig({
  displayName: "CardStyle__StyledCardHeaderRightContainer",
  componentId: "sc-tpku8j-9"
})(["margin-left:16px;margin-right:auto;display:flex;flex-direction:row;align-items:center;@media (max-width:", "){align-items:flex-end;}"], Breakpoints.large);
exports.StyledCardHeaderRightContainer = StyledCardHeaderRightContainer;