import React, { ReactNode } from 'react';
export interface CheckboxProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, 'type' | 'onChange'> {
    id?: string;
    label?: ReactNode;
    hasError?: boolean;
    indeterminate?: boolean;
    checked?: boolean;
    disabled?: boolean;
    helpText?: string;
    onChange?(newChecked: boolean, id: string): void;
    isPadded?: boolean;
    isControlled?: boolean;
}
export declare const Checkbox: React.ForwardRefExoticComponent<CheckboxProps & React.RefAttributes<HTMLDivElement>>;
