"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledRow = exports.StyledLeftColumn = exports.StyledContainer = exports.StyledColumn = exports.StyledCheckboxContainer = exports.StyledCheckbox = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _ = require("..");
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
var StyledContainer = _styledComponents["default"].div.withConfig({
  displayName: "CheckboxStyle__StyledContainer",
  componentId: "sc-a9bf1h-0"
})(["flex-direction:row;align-items:flex-start;gap:8px;color:", ";label{cursor:pointer;margin-top:-1px;}svg{border-radius:4px;position:absolute;height:20px;width:20px;top:0;left:0;opacity:0;pointer-events:none;fill:", ";}&[data-spacing='true']{padding:", " 0px;}&[aria-disabled='true'],&[aria-disabled='true'] .help-text{color:", ";}&[aria-disabled='true'] div[role='checkbox']{border-color:", ";background:", ";cursor:not-allowed;}&[aria-disabled='true'] input{cursor:not-allowed;}&[aria-disabled='true'] svg{background:", ";fill:", ";}&[data-error='true'] svg{fill:", ";}"], _colors.Neutral.B18, _colors.Blue.S99, _spacing.space4, _colors.Neutral.B68, _colors.Neutral.B85, _colors.Neutral.B95, _colors.Neutral.B68, _colors.Neutral.B95, _colors.Red.B93);
exports.StyledContainer = StyledContainer;
var StyledCheckboxContainer = _styledComponents["default"].div.withConfig({
  displayName: "CheckboxStyle__StyledCheckboxContainer",
  componentId: "sc-a9bf1h-1"
})(["position:relative;cursor:pointer;"]);
exports.StyledCheckboxContainer = StyledCheckboxContainer;
var StyledCheckbox = _styledComponents["default"].div.withConfig({
  displayName: "CheckboxStyle__StyledCheckbox",
  componentId: "sc-a9bf1h-2"
})(["width:20px;height:20px;background:", ";border:2px solid;border-color:", ";cursor:pointer;border-radius:", ";position:relative;& input{opacity:0;cursor:pointer;width:24px;height:24px;margin:0;padding:0;position:absolute;top:-4px;left:-4px;}&[data-focus='true']{box-shadow:0px 0px 0px 1px ", ",0px 0px 0px 3px #6ac9ec;}&[aria-checked='true'] + svg,&[aria-checked='mixed'] + svg{opacity:1;}@media (max-width:", "){width:18px;height:18px;}"], _colors.Neutral.B100, function (_ref) {
  var hasError = _ref.hasError;
  return hasError ? _colors.Red.B93 : _colors.Neutral.B68;
}, _borderRadius.borderRadius4, _colors.Neutral.B100, _.Breakpoints.large);
exports.StyledCheckbox = StyledCheckbox;
var StyledRow = _styledComponents["default"].div.withConfig({
  displayName: "CheckboxStyle__StyledRow",
  componentId: "sc-a9bf1h-3"
})(["display:flex;flex-direction:row;flex-wrap:wrap;gap:8px;"]);
exports.StyledRow = StyledRow;
var StyledColumn = _styledComponents["default"].div.withConfig({
  displayName: "CheckboxStyle__StyledColumn",
  componentId: "sc-a9bf1h-4"
})(["display:flex;flex-direction:column;&.help-text{color:", ";}"], _colors.Neutral.B40);
exports.StyledColumn = StyledColumn;
var StyledLeftColumn = (0, _styledComponents["default"])(StyledColumn).withConfig({
  displayName: "CheckboxStyle__StyledLeftColumn",
  componentId: "sc-a9bf1h-5"
})(["flex-basis:20px;"]);
exports.StyledLeftColumn = StyledLeftColumn;