"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledOptionList = exports.OptionListContainer = exports.EmptyOptionContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _borderRadius = require("../../../utilities/borderRadius");
var _colors = require("../../../utilities/colors");
var _spacing = require("../../../utilities/spacing");
var OptionListContainer = _styledComponents["default"].div.withConfig({
  displayName: "OptionListStyle__OptionListContainer",
  componentId: "sc-19tus93-0"
})(["width:", "px;padding:", " 0;"], function (props) {
  return props.textInputWidth;
}, _spacing.space8);
exports.OptionListContainer = OptionListContainer;
var StyledOptionList = _styledComponents["default"].ul.withConfig({
  displayName: "OptionListStyle__StyledOptionList",
  componentId: "sc-19tus93-1"
})(["list-style:none;margin:0 ", ";padding:0;li{display:flex;height:44px;position:relative;align-items:center;padding:0 ", ";margin-bottom:", ";&:hover{background:", ";border-radius:", ";cursor:pointer;}&[data-active='true']{border-radius:", ";cursor:default;}svg{height:24px;width:24px;}}"], _spacing.space8, _spacing.space8, _spacing.space4, _colors.Neutral.B99, _borderRadius.borderRadius4, _borderRadius.borderRadius4);
exports.StyledOptionList = StyledOptionList;
var EmptyOptionContainer = _styledComponents["default"].div.withConfig({
  displayName: "OptionListStyle__EmptyOptionContainer",
  componentId: "sc-19tus93-2"
})(["display:flex;align-items:center;justify-content:center;margin:10px 0;"]);
exports.EmptyOptionContainer = EmptyOptionContainer;