"use strict";

exports.__esModule = true;
exports.useComboboxTextInput = exports.ComboboxTextInputContext = void 0;
var _react = require("react");
var ComboboxTextInputContext = /*#__PURE__*/(0, _react.createContext)(undefined);
exports.ComboboxTextInputContext = ComboboxTextInputContext;
var useComboboxTextInput = function useComboboxTextInput() {
  var context = (0, _react.useContext)(ComboboxTextInputContext);
  if (!context) {
    throw new Error('No TextInputContext was provided. Your component must be wrapped in a <TextInputContext.Provider>');
  }
  return context;
};
exports.useComboboxTextInput = useComboboxTextInput;