import React from 'react';
import { InputProps } from '../Input/Input';
export declare type CurrencyInputProps = Omit<InputProps, 'type' | 'prefix' | 'onChange' | 'value'> & {
    locale?: string;
    value?: number | null;
    allowEmptyValue?: boolean;
    showPrefix?: boolean;
    onChange?: (value: number | undefined) => void;
    currencyCode: string;
    currencySymbol?: string;
};
export declare const CurrencyInput: React.ForwardRefExoticComponent<Omit<InputProps, "type" | "value" | "prefix" | "onChange"> & {
    locale?: string;
    value?: number | null;
    allowEmptyValue?: boolean;
    showPrefix?: boolean;
    onChange?: (value: number | undefined) => void;
    currencyCode: string;
    currencySymbol?: string;
} & React.RefAttributes<HTMLInputElement>>;
