"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledTitle = exports.StyledImage = exports.StyledHelpText = exports.StyledDescription = exports.StyledButtonGroup = exports.EmptyStateContentContainer = exports.EmptyStateContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _ = require("..");
var _ButtonGroup = require("../ButtonGroup");
var _Typography = require("../Typography");
var _spacing = require("../utilities/spacing");
var EmptyStateContainer = _styledComponents["default"].div.withConfig({
  displayName: "EmptyStateStyle__EmptyStateContainer",
  componentId: "sc-2vyeka-0"
})(["display:flex;flex-direction:column;align-items:center;padding:", " 0 60px;"], _spacing.space40);
exports.EmptyStateContainer = EmptyStateContainer;
var EmptyStateContentContainer = _styledComponents["default"].div.withConfig({
  displayName: "EmptyStateStyle__EmptyStateContentContainer",
  componentId: "sc-2vyeka-1"
})(["display:flex;flex-direction:column;width:100%;align-items:center;margin:", " 20px 20px;&[data-full-width='false']{max-width:400px;margin:", " 0px 0px;@media (max-width:", "){max-width:288px;}}"], _spacing.space24, _spacing.space24, _.Breakpoints.large);
exports.EmptyStateContentContainer = EmptyStateContentContainer;
var StyledImage = _styledComponents["default"].img.withConfig({
  displayName: "EmptyStateStyle__StyledImage",
  componentId: "sc-2vyeka-2"
})(["height:200px;width:200px;"]);
exports.StyledImage = StyledImage;
var StyledButtonGroup = (0, _styledComponents["default"])(_ButtonGroup.ButtonGroup).withConfig({
  displayName: "EmptyStateStyle__StyledButtonGroup",
  componentId: "sc-2vyeka-3"
})(["margin-bottom:", ";"], _spacing.space16);
exports.StyledButtonGroup = StyledButtonGroup;
var StyledTitle = (0, _styledComponents["default"])(_Typography.Typography).withConfig({
  displayName: "EmptyStateStyle__StyledTitle",
  componentId: "sc-2vyeka-4"
})(["text-align:center;margin:0 0 ", ";"], _spacing.space16);
exports.StyledTitle = StyledTitle;
var StyledDescription = (0, _styledComponents["default"])(_Typography.Typography).withConfig({
  displayName: "EmptyStateStyle__StyledDescription",
  componentId: "sc-2vyeka-5"
})(["text-align:center;margin:0 0 ", ";"], _spacing.space24);
exports.StyledDescription = StyledDescription;
var StyledHelpText = (0, _styledComponents["default"])(_Typography.Typography).withConfig({
  displayName: "EmptyStateStyle__StyledHelpText",
  componentId: "sc-2vyeka-6"
})(["text-align:center;margin:0;"]);
exports.StyledHelpText = StyledHelpText;