import React from 'react';
import { IndexTableProps as PolarisIndexTableProps } from 'polaris-glints';
declare type IndexTableProps = Omit<PolarisIndexTableProps, 'emptySearchTitle'> & {
    height?: string;
    selectableItemsCount?: number;
};
declare const IndexTable: {
    ({ bulkActions, children, height, itemCount, selectedItemsCount, loading, emptyState, selectableItemsCount, ...props }: IndexTableProps): JSX.Element;
    Cell: React.NamedExoticComponent<import("polaris-glints/build/ts/latest/src/components/IndexTable").CellProps>;
    Row: ({ children, ...props }: import("polaris-glints").RowProps) => JSX.Element;
};
export { useIndexResourceState } from 'polaris-glints';
export type { IndexTableProps };
export { IndexTable };
