"use strict";

exports.__esModule = true;
exports.MemoizedCheckbox = void 0;
var _polarisGlints = require("polaris-glints");
var _react = _interopRequireWildcard(require("react"));
var _Checkbox = require("../../../Checkbox");
var _CheckboxStyle = require("./CheckboxStyle");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var Checkbox = function Checkbox() {
  var _useContext = (0, _react.useContext)(_polarisGlints.IndexTableRowContext),
    itemId = _useContext.itemId,
    selected = _useContext.selected,
    disabled = _useContext.disabled,
    onInteraction = _useContext.onInteraction;
  return /*#__PURE__*/_react["default"].createElement(_CheckboxStyle.CheckboxWrapper, null, /*#__PURE__*/_react["default"].createElement(_CheckboxStyle.CheckboxCellContentContainer, {
    className: "checkbox-wrapper"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    onClick: onInteraction
  }, /*#__PURE__*/_react["default"].createElement(_Checkbox.Checkbox, {
    id: itemId,
    checked: selected,
    disabled: disabled,
    isPadded: false
  }))));
};
var MemoizedCheckbox = /*#__PURE__*/(0, _react.memo)(Checkbox);
exports.MemoizedCheckbox = MemoizedCheckbox;