"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.InlineError = void 0;
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _InlineErrorStyle = require("./InlineErrorStyle");
var _Icon = require("../Icon");
var _colors = require("../utilities/colors");
var _excluded = ["text"];
var InlineError = function InlineError(_ref) {
  var text = _ref.text,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var error = !!text;
  return error ? /*#__PURE__*/_react["default"].createElement(_InlineErrorStyle.StyledWrapper, props, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-error-warning-fill",
    fill: _colors.Red.B93,
    width: 20,
    height: 20
  }), /*#__PURE__*/_react["default"].createElement(_InlineErrorStyle.StyledText, {
    variant: "subtitle2"
  }, text)) : /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null);
};
exports.InlineError = InlineError;