"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledWrapper = exports.StyledText = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _spacing = require("../utilities/spacing");
var _Typography = require("../Typography");
var _colors = require("../utilities/colors");
var _ = require("..");
var StyledWrapper = _styledComponents["default"].div.withConfig({
  displayName: "InlineErrorStyle__StyledWrapper",
  componentId: "sc-gvg32i-0"
})(["display:flex;align-items:flex-start;gap:", ";svg{flex-shrink:0;}@media (max-width:", "){svg{height:18px;width:18px;}}"], _spacing.space4, _.Breakpoints.large);
exports.StyledWrapper = StyledWrapper;
var StyledText = (0, _styledComponents["default"])(_Typography.Typography).withConfig({
  displayName: "InlineErrorStyle__StyledText",
  componentId: "sc-gvg32i-1"
})(["margin:0;color:", ";"], _colors.Red.B93);
exports.StyledText = StyledText;