import React from 'react';
export interface InputProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, 'prefix'> {
    error?: boolean;
    height?: string;
    border?: string;
    borderRadius?: string;
    floatingFontSize?: string;
    isPlaceholderFloating?: boolean;
    required?: boolean;
    placeholderColor?: string;
    floatingPlaceholderTop?: number;
    prefix?: React.ReactNode;
    suffix?: React.ReactNode;
    inputRef?: React.Ref<HTMLInputElement>;
}
export declare const Input: React.ForwardRefExoticComponent<InputProps & React.RefAttributes<HTMLInputElement>>;
