"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledLink = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
var centerAlign = "\n  vertical-align: middle;\n\n  svg {\n    vertical-align: middle;\n  }\n";
var StyledLink = _styledComponents["default"].a.withConfig({
  displayName: "LinkStyle__StyledLink",
  componentId: "sc-usx229-0"
})(["", " color:", ";cursor:pointer;text-decoration:underline;&[data-underline='false']{text-decoration:none;}&[data-monochrome='true']{color:", ";&:hover,&:active{color:", ";svg{fill:", ";}}svg{fill:", ";}}&:hover{color:rgba(0,86,140,0.9);svg{fill:rgba(0,86,140,0.9);}}&:active{color:", ";svg{fill:", ";}}svg{fill:", ";margin-left:", ";padding-bottom:", ";height:18px;}"], function (_ref) {
  var external = _ref.external;
  return external && centerAlign;
}, _colors.Blue.S99, _colors.Neutral.B18, _colors.Neutral.B00, _colors.Neutral.B00, _colors.Neutral.B18, _colors.Blue.S100, _colors.Blue.S100, _colors.Blue.S99, _spacing.space2, _spacing.space2);
exports.StyledLink = StyledLink;