"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.MenuOption = void 0;
var _react = _interopRequireDefault(require("react"));
var _MenuStyle = require("../MenuStyle");
var MenuOption = function MenuOption(_ref) {
  var children = _ref.children,
    disabled = _ref.disabled,
    isSelected = _ref.isSelected,
    onClick = _ref.onClick,
    value = _ref.value,
    allowMultiple = _ref.allowMultiple;
  var handleClick = function handleClick(event) {
    event.stopPropagation();
    onClick({
      value: event.currentTarget.dataset.value
    });
  };
  return /*#__PURE__*/_react["default"].createElement(_MenuStyle.ListContainer, null, /*#__PURE__*/_react["default"].createElement(_MenuStyle.List, {
    "aria-disabled": disabled,
    "data-active": isSelected,
    "data-multiple": allowMultiple,
    "data-value": value,
    onClick: handleClick
  }, children));
};
exports.MenuOption = MenuOption;