/// <reference types="react" />
import { ComponentWithProviderProps } from '../../types/componentWithProvider';
import { ModalProps } from './Modal';
export declare type ShowModalProps = Exclude<ModalProps, 'isOpen'>;
export declare type ModalContextProps = ModalProps & ComponentWithProviderProps<ShowModalProps>;
export declare const ModalContext: import("react").Context<ModalContextProps>;
