"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.ModalWithProvider = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _Modal = require("./Modal");
var _useModal2 = require("./useModal");
var _excluded = ["close", "onClose"],
  _excluded2 = ["isOpen"];
var ModalWithProvider = function ModalWithProvider() {
  var _useModal = (0, _useModal2.useModal)(),
    close = _useModal.close,
    _onClose = _useModal.onClose,
    rest = (0, _objectWithoutPropertiesLoose2["default"])(_useModal, _excluded);
  var isOpen = rest.isOpen,
    modalProps = (0, _objectWithoutPropertiesLoose2["default"])(rest, _excluded2);
  return /*#__PURE__*/_react["default"].createElement(_Modal.Modal, (0, _extends2["default"])({}, modalProps, {
    isOpen: isOpen,
    onClose: function onClose(e) {
      close();
      _onClose == null ? void 0 : _onClose(e);
    }
  }));
};
exports.ModalWithProvider = ModalWithProvider;