"use strict";

exports.__esModule = true;
exports.useModal = void 0;
var _react = require("react");
var _ModalContext = require("./ModalContext");
var useModal = function useModal() {
  var context = (0, _react.useContext)(_ModalContext.ModalContext);
  if (!context) {
    throw new Error('No ModalContext was provided via "ModalProvider", to use this hook you must provide them in your app root.');
  }
  return context;
};
exports.useModal = useModal;