"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Popover = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _polarisGlints = require("polaris-glints");
var _PopoverStyle = require("./PopoverStyle");
var PopoverComponent = /*#__PURE__*/_react["default"].forwardRef(function Popoever(props, ref) {
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_PopoverStyle.StyledPopover, null), /*#__PURE__*/_react["default"].createElement(_polarisGlints.Popover, (0, _extends2["default"])({
    ref: ref
  }, props)));
});

/** Using Popover from polaris-glints repository internally
 * Please add `<div id="glints-portal-container"></div>` as a sibling element of where your React app is rendered.
 * This is a temporary workaround, as React Portal need this as the anchor */
var Popover = Object.assign(PopoverComponent, {
  Pane: _polarisGlints.Popover.Pane,
  Section: _polarisGlints.Popover.Section
});
exports.Popover = Popover;