"use strict";

exports.__esModule = true;
exports.Portal = void 0;
var _reactDom = require("react-dom");
var Portal = function Portal(_ref) {
  var children = _ref.children;
  var container = document.getElementById('glints-portal-container');
  if (!container) {
    throw new Error("Portal component requires div with id \"glints-portal-container\" as container, \n      please add it as a sibling to where your react app is rendered!");
  }
  return /*#__PURE__*/(0, _reactDom.createPortal)(children, container);
};
exports.Portal = Portal;