"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.ClearSelected = void 0;
var _react = _interopRequireDefault(require("react"));
var _Icon = require("../../../Icon");
var _SearchableSelectInputStyle = require("./SearchableSelectInputStyle");
var ClearSelected = function ClearSelected(_ref) {
  var onSelect = _ref.onSelect,
    handleClearIconClick = _ref.handleClearIconClick,
    updateInputValue = _ref.updateInputValue,
    height = _ref.height;
  var onClearIconClick = function onClearIconClick() {
    updateInputValue('');
    onSelect({
      value: ''
    });
    handleClearIconClick();
  };
  return /*#__PURE__*/_react["default"].createElement(_SearchableSelectInputStyle.ClearSelectedContainer, {
    height: height
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-close-circle-fill",
    style: {
      cursor: 'pointer'
    },
    onClick: onClearIconClick,
    className: "clear-icon"
  }));
};
exports.ClearSelected = ClearSelected;