import React from 'react';
import { ComponentAction } from '../../types/componentAction';
export interface SideSheetProps {
    isOpen: boolean;
    title: string;
    description?: string;
    showHorizontalLine?: boolean;
    children?: React.ReactNode;
    basicButtonAction?: ComponentAction;
    primaryButtonAction?: ComponentAction;
    showBackButton?: boolean;
    onBack?: () => void;
    showCloseButton?: boolean;
    onClose?: () => void;
}
declare const SideSheet: React.ForwardRefExoticComponent<SideSheetProps & React.RefAttributes<HTMLDivElement>>;
export { SideSheet };
