"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledSideSheetWrapper = exports.StyledSideSheetHeader = exports.StyledSideSheetFooter = exports.StyledSideSheetContainer = exports.StyledRightContainer = exports.StyledHorizontalLine = exports.StyledButtonGroupContainer = exports.StyledButtonContainer = exports.SideSheetContent = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _colors = require("../utilities/colors");
var Breakpoints = _interopRequireWildcard(require("../utilities/breakpoints"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var StyledSideSheetWrapper = _styledComponents["default"].div.withConfig({
  displayName: "SideSheetStyle__StyledSideSheetWrapper",
  componentId: "sc-z0rzf0-0"
})(["position:fixed;inset:0;background-color:rgba(45,45,45,0.5);display:flex;align-items:center;justify-content:center;overflow:hidden;z-index:999;animation:ga-fade-in2 0.2s;&.closed{animation:ga-fade-out2 0.2s;}@keyframes ga-fade-in2{0%{opacity:0;}100%{opacity:1;}}@keyframes ga-fade-out2{0%{opacity:1;}100%{opacity:0;}}"]);
exports.StyledSideSheetWrapper = StyledSideSheetWrapper;
var StyledSideSheetContainer = _styledComponents["default"].div.withConfig({
  displayName: "SideSheetStyle__StyledSideSheetContainer",
  componentId: "sc-z0rzf0-1"
})(["position:absolute;display:flex;flex-direction:column;width:480px;height:100vh;background:", ";box-shadow:0px 26px 80px rgba(0,0,0,0.2),0px 0px 1px rgba(0,0,0,0.2);overflow:hidden;animation:ga-slide-in 0.2s;top:0;right:0;&.closed{animation:ga-slide-out 0.2s;}@keyframes ga-slide-in{0%{opacity:0;transform:translateX(100%);}100%{opacity:1;}}@keyframes ga-slide-out{0%{opacity:0;}100%{opacity:1;transform:translateX(100%);}}@media (max-width:", "){width:100vw;}"], _colors.Neutral.B100, Breakpoints.large);
exports.StyledSideSheetContainer = StyledSideSheetContainer;
var StyledSideSheetHeader = _styledComponents["default"].div.withConfig({
  displayName: "SideSheetStyle__StyledSideSheetHeader",
  componentId: "sc-z0rzf0-2"
})(["display:flex;align-items:top;padding:16px 20px;gap:8px;"]);
exports.StyledSideSheetHeader = StyledSideSheetHeader;
var StyledButtonContainer = _styledComponents["default"].div.withConfig({
  displayName: "SideSheetStyle__StyledButtonContainer",
  componentId: "sc-z0rzf0-3"
})(["cursor:pointer;margin-top:3px;svg{width:24px;fill:", ";}"], _colors.Neutral.B40);
exports.StyledButtonContainer = StyledButtonContainer;
var StyledRightContainer = _styledComponents["default"].div.withConfig({
  displayName: "SideSheetStyle__StyledRightContainer",
  componentId: "sc-z0rzf0-4"
})(["margin-left:auto;display:flex;align-items:top;"]);
exports.StyledRightContainer = StyledRightContainer;
var StyledHorizontalLine = _styledComponents["default"].hr.withConfig({
  displayName: "SideSheetStyle__StyledHorizontalLine",
  componentId: "sc-z0rzf0-5"
})(["height:1px;background-color:", ";margin:0px 0px;border:none;"], _colors.Neutral.B95);
exports.StyledHorizontalLine = StyledHorizontalLine;
var StyledSideSheetFooter = _styledComponents["default"].div.withConfig({
  displayName: "SideSheetStyle__StyledSideSheetFooter",
  componentId: "sc-z0rzf0-6"
})(["margin-top:auto;"]);
exports.StyledSideSheetFooter = StyledSideSheetFooter;
var StyledButtonGroupContainer = _styledComponents["default"].div.withConfig({
  displayName: "SideSheetStyle__StyledButtonGroupContainer",
  componentId: "sc-z0rzf0-7"
})(["margin:16px 20px;"]);
exports.StyledButtonGroupContainer = StyledButtonGroupContainer;
var SideSheetContent = _styledComponents["default"].div.withConfig({
  displayName: "SideSheetStyle__SideSheetContent",
  componentId: "sc-z0rzf0-8"
})(["overflow-y:scroll;"]);
exports.SideSheetContent = SideSheetContent;