/// <reference types="react" />
import { IconProps } from '../Icon';
export declare type Size = 'small' | 'large';
export declare type SpinnerProps = Omit<IconProps, 'name'> & {
    label?: string;
    size?: Size;
};
export declare const Spinner: ({ label, size, ...props }: SpinnerProps) => JSX.Element;
