"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledWrapper = exports.Label = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Typography = require("../Typography");
var _spacing = require("../utilities/spacing");
var StyledWrapper = _styledComponents["default"].div.withConfig({
  displayName: "SpinnerStyle__StyledWrapper",
  componentId: "sc-1rqoa36-0"
})(["display:flex;flex-direction:column;justify-content:center;align-items:center;@keyframes p-keyframes-spin{to{transform:rotate(1turn);}}svg{animation:p-keyframes-spin 800ms linear infinite;}"]);
exports.StyledWrapper = StyledWrapper;
var Label = (0, _styledComponents["default"])(_Typography.Typography).withConfig({
  displayName: "SpinnerStyle__Label",
  componentId: "sc-1rqoa36-1"
})(["margin-bottom:0;&[data-size='large']{margin-top:", ";}&[data-size='small']{margin-top:", ";}"], _spacing.space16, _spacing.space4);
exports.Label = Label;