"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledTable = exports.StyledRow = exports.StyledHeaderColumn = exports.StyledColumn = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
/* eslint-disable react/jsx-key */

var StyledTable = _styledComponents["default"].table.withConfig({
  displayName: "TabsStoriesStyle__StyledTable",
  componentId: "sc-34eyhb-0"
})(["font-family:arial,sans-serif;border-collapse:collapse;width:100%;"]);
exports.StyledTable = StyledTable;
var StyledRow = _styledComponents["default"].tr.withConfig({
  displayName: "TabsStoriesStyle__StyledRow",
  componentId: "sc-34eyhb-1"
})(["&:nth-child(even){background-color:#dddddd;}"]);
exports.StyledRow = StyledRow;
var StyledColumn = _styledComponents["default"].td.withConfig({
  displayName: "TabsStoriesStyle__StyledColumn",
  componentId: "sc-34eyhb-2"
})(["border:1px solid #dddddd;text-align:left;padding:8px;"]);
exports.StyledColumn = StyledColumn;
var StyledHeaderColumn = _styledComponents["default"].th.withConfig({
  displayName: "TabsStoriesStyle__StyledHeaderColumn",
  componentId: "sc-34eyhb-3"
})(["border:1px solid #dddddd;text-align:left;padding:8px;"]);
exports.StyledHeaderColumn = StyledHeaderColumn;