import React from 'react';
import { IconNames } from '../Icon/icons/icons';
export interface TagProps extends React.HTMLAttributes<HTMLDivElement> {
    children?: React.ReactNode;
    value?: string;
    onRemove?: (() => void) | null | void;
    textColor?: string;
    disabled?: boolean;
    contentType?: 'neutral' | 'success' | 'warning';
    iconName?: IconNames;
}
export declare type TagRemoveContainerProps = React.HTMLAttributes<HTMLDivElement>;
export declare type TagContentProps = React.HTMLAttributes<HTMLSpanElement> & TagProps;
export declare const Tag: React.ForwardRefExoticComponent<TagProps & React.RefAttributes<HTMLDivElement>>;
