"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledWordCountContainer = exports.StyledTextAreaContainer = exports.StyledTextArea = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _TypographyStyles = require("../Typography/TypographyStyles");
var _InputStyle = require("../Input/InputStyle");
var StyledTextAreaContainer = _styledComponents["default"].div.withConfig({
  displayName: "TextAreaStyle__StyledTextAreaContainer",
  componentId: "sc-1cq0fhw-0"
})(["position:relative;width:", ";border:", ";border-radius:", ";padding:8px 12px 25px 12px;cursor:text;&:not([data-has-counter='true']){padding-bottom:8px;}&[data-focus='true']{outline:none;box-shadow:0px 0px 0px 1px ", ",0px 0px 0px 3px #6ac9ec;}&[data-error='true']{border:1px solid ", ";&[data-focus='true']{box-shadow:none;}}&[data-disabled='true']{border:1px solid ", ";background:", ";}"], function (props) {
  return props.width;
}, function (_ref) {
  var border = _ref.border;
  return border != null ? border : "1px solid " + _colors.Neutral.B68;
}, function (_ref2) {
  var borderRadius = _ref2.borderRadius;
  return borderRadius != null ? borderRadius : _borderRadius.borderRadius4;
}, _colors.Neutral.B100, _colors.Red.B93, _colors.Neutral.B85, _colors.Neutral.B95);
exports.StyledTextAreaContainer = StyledTextAreaContainer;
var StyledTextArea = _styledComponents["default"].textarea.withConfig({
  displayName: "TextAreaStyle__StyledTextArea",
  componentId: "sc-1cq0fhw-1"
})(["background:", ";box-sizing:border-box;border:none;", " ", " color:", ";resize:none;width:100%;::-webkit-scrollbar{width:4px;}::-webkit-scrollbar-thumb{background-color:", ";border-radius:2px;}::-webkit-scrollbar-thumb:hover{background-color:", ";}&::placeholder{color:", ";}&:focus{outline:none;}:disabled{background:", ";::placeholder{color:", ";}}"], _colors.Neutral.B100, function (_ref3) {
  var isPlaceholderFloating = _ref3.isPlaceholderFloating;
  return isPlaceholderFloating && _InputStyle.FloatingLabel;
}, _TypographyStyles.body1, _colors.Neutral.B18, _colors.Neutral.B68, _colors.Neutral.B40, _colors.Neutral.B68, _colors.Neutral.B95, _colors.Neutral.B85);
exports.StyledTextArea = StyledTextArea;
var StyledWordCountContainer = _styledComponents["default"].div.withConfig({
  displayName: "TextAreaStyle__StyledWordCountContainer",
  componentId: "sc-1cq0fhw-2"
})(["position:absolute;bottom:8px;right:12px;color:", ";&[data-error='true']{color:", ";}&[data-disabled='true']{color:", ";}"], _colors.Neutral.B40, _colors.Red.B93, _colors.Neutral.B85);
exports.StyledWordCountContainer = StyledWordCountContainer;