import React from 'react';
export interface UploadProps {
    file: File | null;
    handleSetFile: (file: File | null) => void;
    loading?: boolean;
    objectFit?: 'fill' | 'contain' | 'cover' | 'none' | 'scale-down';
    uploadMessage?: React.ReactNode;
    loadingMessage?: React.ReactNode;
    disableDefaultValidation?: boolean;
    accept?: string;
}
export declare const Upload: React.ForwardRefExoticComponent<UploadProps & React.RefAttributes<HTMLInputElement>>;
