"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.CheckboxContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Colors = require("../../Utils/Colors");
var CheckboxContainer = _styledComponents["default"].div.withConfig({
  displayName: "CheckboxStyle__CheckboxContainer",
  componentId: "sc-c3ckvs-0"
})(["position:relative;display:inline-flex;font-size:", ";line-height:1.5;&:focus{outline:none;}input{padding:0;height:initial;width:initial;margin-bottom:0;display:none;cursor:pointer;}label:before{content:'';appearance:none;background-color:transparent;border:1px solid ", ";display:inline-block;position:relative;vertical-align:middle;cursor:pointer;margin-right:10px;border-radius:4px;width:1.29em;height:1.29em;box-sizing:border-box;}&[aria-checked='true'] label:before{border-color:transparent;}&[aria-checked='true'][data-border='true'] label:before{background:", ";}&[aria-checked='true'][data-border='false'] label:before{background:", ";}&[aria-checked='mixed'] label:before{background:", ";}label{position:relative;display:flex;align-items:center;line-height:1;cursor:pointer;outline:none;}&[aria-checked='true'] label{border-color:", ";}&[data-border='true'] label{border:1px solid #aaaaaa;cursor:pointer;border-radius:8px;padding:0.57em 0.86em;&:hover{background:rgba(1,126,183,0.1);border-color:", ";}}&[aria-checked='true'] label:after,&[aria-checked='mixed'] label:after{content:'';display:block;position:absolute;border:solid ", ";}&[aria-checked='true'] label:after{top:0.13em;left:0.45em;width:0.43em;height:0.86em;border-width:0 0.143em 0.143em 0;transform:rotate(45deg);}&[aria-checked='mixed'] label:after{top:0.55em;left:0.45em;width:0.43em;border-width:0.143em 0 0 0;}&[aria-checked='true'][data-border='true'] label:after,&[aria-checked='mixed'][data-border='true'] label:after{margin-top:0.61em;margin-left:0.89em;}"], function (_ref) {
  var size = _ref.size;
  return size === 'small' ? '14px' : '16px';
}, _Colors.Greyscale.grey, _Colors.SecondaryColor.actionblue, _Colors.SecondaryColor.darkgreen, _Colors.Greyscale.devilsgrey, _Colors.SecondaryColor.actionblue, _Colors.SecondaryColor.actionblue, _Colors.Greyscale.white);
exports.CheckboxContainer = CheckboxContainer;